(*^

::[	frontEndVersion = "Macintosh Mathematica Notebook Front End Version 2.1";
	macintoshStandardFontEncoding; 
	paletteColors = 128; automaticGrouping; currentKernel; 
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; ;
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L-5,  12, "Courier"; ;
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, R65535, L-5,  12, "Courier"; ;
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, B65535, L-5,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, "Courier"; ;
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  10, "Geneva"; ;
	fontset = header, inactive, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
	fontset = leftheader, inactive, L2,  12, "Times"; ;
	fontset = footer, inactive, noKeepOnOnePage, preserveAspect, center, M7,  12, "Times"; ;
	fontset = leftfooter, inactive, L2,  12, "Times"; ;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; ;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
]
:[font = text; inactive; preserveAspect; ]
PROGRAM:  DeMere1
CALLING SEQUENCE:   DeMere1[n, print] 
PARAMETERS: 
     n - an integer
     print - a Boolean variable (True or False)
SYNOPSIS:   
     - This program simulates 4 rolls of a die, and determines whether a six has
        appeared (a "success").  It repeats this experiment n times, and prints the number
        of trials that resulted in a success.  It also prints the proportion of trials that
        resulted in a success.   Finally, if print = True, then the rolls are printed out.
 RETURNED VALUES:
     -  none
LOCATION:
     Folder:  Chapter 1
     File:       "DeMere1&2.Chpt1.mat"
;[s]
1:0,1;610,-1;
2:0,13,9,Times,0,12,0,0,0;1,14,10,Helvetica,0,12,0,0,0;
:[font = input; initialization; preserveAspect; ]
*)
Clear[DeMere1];
DeMere1[n_, print_] :=
Block[
      {successcounter = 0,
       currentrollset = {}
      },
      For[i = 1, i <= n, i++,
          currentrollset = {};
          For[j = 1, j <= 4, j++,
              currentrollset = 
                Append[currentrollset, 
                       Ceiling[6*Random[]]
                      ];
             ];
          If[print, Print[currentrollset]
            ];
          If[Count[currentrollset, 6] > 0,
             successcounter++
            ];
         ];
      Print["number of successes = ", 
            successcounter
           ];
      Print["proportion of successes = ",
            N[successcounter/n, 5]
           ]
     ]
(*
:[font = input; preserveAspect; startGroup; ]
DeMere1[1000, False]
:[font = print; inactive; preserveAspect; endGroup; ]
number of successes = 522
proportion of successes = 0.522
:[font = text; inactive; preserveAspect; ]
PROGRAM:  DeMere2
CALLING SEQUENCE:   DeMere2[n, m, print]
PARAMETERS:  
     n, m - integers
		   print - a Boolean variable (True or False)
SYNOPSIS:   
     - This program simulates m rolls of two dice, and determines whether a double 6 	
       has appeared (a "success").  It repeats this experiment n times, and prints the
       number of trials that resulted in a success.  It also prints the proportion of trials
       that resulted in a success.   Finally, if print = True, then the rolls are printed out.
RETURNED VALUES:
     -  none
LOCAT ION:
     Folder:  Chapter 1
     File:       "DeMere1&2.Chpt1.mat"
;[s]
1:0,1;621,-1;
2:0,13,9,Times,0,12,0,0,0;1,14,10,Helvetica,0,12,0,0,0;
:[font = input; initialization; preserveAspect; ]
*)
Clear[DeMere2];
DeMere2[n_, m_, print_] :=
Block[{successcounter = 0,
       currentrollset = {}
      },
      For[i = 1, i <= n, i++,
          currentrollset = {};
          For[j = 1, j <= m, j++,
              currentrollset = 
                Append[currentrollset, 
                       {Ceiling[6*Random[]],
                        Ceiling[6*Random[]]
                       }
                      ];
             ];
          If[print, Print[currentrollset]
            ];
          If[Count[currentrollset, {6, 6}] > 0,
             successcounter++
            ];
         ];
      Print["number of successes = ", 
            successcounter
           ];
      Print["proportion of successes = ",
            N[successcounter/n, 5]
           ]
     ]
(*
:[font = input; preserveAspect; startGroup; ]
DeMere2[1000, 24, False]
:[font = print; inactive; preserveAspect; endGroup; ]
number of successes = 475
proportion of successes = 0.475
:[font = input; preserveAspect; startGroup; ]
DeMere2[1000, 25, False]
:[font = print; inactive; preserveAspect; endGroup; ]
number of successes = 517
proportion of successes = 0.517
^*)