(*^
::[	Information =

	"This is a Mathematica Notebook file.  It contains ASCII text, and can be
	transferred by email, ftp, or other text-file transfer utility.  It should
	be read or edited using a copy of Mathematica or MathReader.  If you 
	received this as email, use your mail application or copy/paste to save 
	everything from the line containing (*^ down to the line containing ^*)
	into a plain text file.  On some systems you may have to give the file a 
	name ending with ".ma" to allow Mathematica to recognize it as a Notebook.
	The line below identifies what version of Mathematica created this file,
	but it can be opened using any other version as well.";

	FrontEndVersion = "Macintosh Mathematica Notebook Front End Version 2.2";

	MacintoshStandardFontEncoding; 
	
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, "Times"; 
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, "Times"; 
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, "Times"; 
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, "Times"; 
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, "Times"; 
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, "Times"; 
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L-5,  12, "Courier"; 
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; 
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, R65535, L-5,  12, "Courier"; 
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; 
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, B65535, L-5,  12, "Courier"; 
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, "Courier"; 
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  10, "Geneva"; 
	fontset = header, inactive, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = leftheader, inactive, L2,  12, "Times"; 
	fontset = footer, inactive, noKeepOnOnePage, preserveAspect, center, M7,  12, "Times"; 
	fontset = leftfooter, inactive, L2,  12, "Times"; 
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	paletteColors = 128; automaticGrouping; currentKernel; 
]
:[font = text; inactive; preserveAspect]
PROGRAM:  FixedVector
CALLING SEQUENCE:  FixedVector[P, stateslist, print]
PARAMETERS:
     P - a Markov chain transition matrix
     stateslist - a list of values, with Length[stateslist] = Length[P]
     print - a Boolean variable (True or False)
SYNOPSIS:
     -  This program returns the fixed vector w for an ergodic Markov chain with
        transition matrix P and possible states in stateslist.  If print = True, the program
        prints out P and w.  The actual program is in the file "ImportantPrograms."
     -  Note:  this program requires the program "LabelMatrix[M, rowlabels,
        columnlabels]" be initialized.  This program is also in "ImportantPrograms."
RETURNED VALUES:
     -  P's fixed vector w
LOCATION:
     Folder:  Chapter 11
     File:       "FixedVector.Chpt11.mat"
;[s]
1:0,1;799,-1;
2:0,13,9,Times,0,12,0,0,0;1,14,10,Helvetica,0,12,0,0,0;
:[font = text; inactive; preserveAspect]
The following commands are examples of how the above procedure is used.
;[s]
1:0,1;72,-1;
2:0,13,9,Times,0,12,0,0,0;1,14,10,Helvetica,0,12,0,0,0;
:[font = input; preserveAspect; startGroup]
P = {{.5,.25,.25},{.5,0,.5},{.25,.25,.5}}
:[font = output; output; inactive; preserveAspect; endGroup]
{{0.5, 0.25, 0.25}, {0.5, 0, 0.5}, {0.25, 0.25, 0.5}}
;[o]
{{0.5, 0.25, 0.25}, {0.5, 0, 0.5}, {0.25, 0.25, 0.5}}
:[font = input; preserveAspect; startGroup]
Q = {{0,1,0,0,0},{.25,0,.75,0,0},{0,.5,0,.5,0}, 
     {0,0,.75,0,.25}, {0,0,0,1,0}}
:[font = output; output; inactive; preserveAspect; endGroup]
{{0, 1, 0, 0, 0}, {0.25, 0, 0.75, 0, 0}, 
 
  {0, 0.5, 0, 0.5, 0}, {0, 0, 0.75, 0, 0.25}, 
 
  {0, 0, 0, 1, 0}}
;[o]
{{0, 1, 0, 0, 0}, {0.25, 0, 0.75, 0, 0}, 
 
  {0, 0.5, 0, 0.5, 0}, {0, 0, 0.75, 0, 0.25}, 
 
  {0, 0, 0, 1, 0}}
:[font = input; preserveAspect; startGroup]
FixedVector[Q, {0,1,2,3,4}, True]
:[font = print; inactive; preserveAspect]
Transition matrix P:
       0      1      2      3      4

0      0      1      0      0      0

1      0.25   0      0.75   0      0

2      0      0.5    0      0.5    0

3      0      0      0.75   0      0.25

4      0      0      0      1      0
  
  
Fixed vector W:
0        1        2        3        4

0.0625   0.25     0.375    0.25     0.0625
:[font = output; output; inactive; preserveAspect; endGroup]
{0.0625, 0.2499999999999999, 0.375, 0.25, 0.0625}
;[o]
{0.0625, 0.25, 0.375, 0.25, 0.0625}
:[font = input; preserveAspect; startGroup]
FixedVector[P, {"R","N","S"}, False]
:[font = output; output; inactive; preserveAspect; endGroup]
{0.4, 0.2, 0.4}
;[o]
{0.4, 0.2, 0.4}
^*)
