(*^
::[	Information =

	"This is a Mathematica Notebook file.  It contains ASCII text, and can be
	transferred by email, ftp, or other text-file transfer utility.  It should
	be read or edited using a copy of Mathematica or MathReader.  If you 
	received this as email, use your mail application or copy/paste to save 
	everything from the line containing (*^ down to the line containing ^*)
	into a plain text file.  On some systems you may have to give the file a 
	name ending with ".ma" to allow Mathematica to recognize it as a Notebook.
	The line below identifies what version of Mathematica created this file,
	but it can be opened using any other version as well.";

	FrontEndVersion = "Macintosh Mathematica Notebook Front End Version 2.2";

	MacintoshStandardFontEncoding; 
	
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, "Times"; 
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, "Times"; 
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, "Times"; 
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, "Times"; 
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, "Times"; 
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, "Times"; 
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L-5,  12, "Courier"; 
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; 
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, R65535, L-5,  12, "Courier"; 
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; 
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, B65535, L-5,  12, "Courier"; 
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, "Courier"; 
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  10, "Geneva"; 
	fontset = header, inactive, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = leftheader, inactive, L2,  12, "Times"; 
	fontset = footer, inactive, noKeepOnOnePage, preserveAspect, center, M7,  12, "Times"; 
	fontset = leftfooter, inactive, L2,  12, "Times"; 
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	paletteColors = 128; automaticGrouping; currentKernel; 
]
:[font = text; inactive; preserveAspect]
PROGRAM:   Darts
CALLING SEQUENCE:  Darts[n, print]
PARAMETERS:
     n - an integer
     print - a Boolean variable (True or False)
SYNOPSIS:  
     -  This program simulates n throws of a dart at a circular dartboard of radius 1.  The
        program displays a bar graph in which the area of the ith bar is equal to the
        fraction of the total falling in the ith region.  If print = True, then the program
        returns a list of distances that the dart landed from the center of the board.      
    -  Note:  this program requires the program "Areabargraph[data, xmin, xmax, k]" 
       to be initialized.
RETURNED VALUES:
     -  a list of distances that the dart landed from the center of the board (if print = True)
LOCATION:
     Folder:  Chapter 2
     File:       "Darts.Chpt2.mat"
;[s]
5:0,1;299,2;301,1;368,2;370,1;800,-1;
3:0,13,9,Times,0,12,0,0,0;3,14,10,Helvetica,0,12,0,0,0;2,22,14,Helvetica,32,12,0,0,0;
:[font = input; initialization; preserveAspect]
*)
Clear[Darts];
Darts[n_, print_] := 
Block[{dartscounter = 0,
       distancelist = {},
       distance
      },
      While[(dartscounter < n),
            distance = Sqrt[(Random[])^2 + (Random[])^2];
            If[(distance < 1),
               Block[{},
                     dartscounter++;
                     distancelist = Append[distancelist,
                                           distance]
                    ]
              ];
           ];
      Areabargraph[distancelist, 0, 1, 10];
      If[print, 
         Return[distancelist],
         Return[]
        ];
     ]
(*
:[font = input; preserveAspect; startGroup]
Darts[10, False]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; endGroup]
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.952381 0.0147151 0.196201 [
[(0)] .02381 0 0 2 Msboxa
[(0.2)] .21429 0 0 2 Msboxa
[(0.4)] .40476 0 0 2 Msboxa
[(0.6)] .59524 0 0 2 Msboxa
[(0.8)] .78571 0 0 2 Msboxa
[(1)] .97619 0 0 2 Msboxa
[(0)] -0.0125 .01472 1 0 Msboxa
[(0.5)] -0.0125 .11282 1 0 Msboxa
[(1)] -0.0125 .21092 1 0 Msboxa
[(1.5)] -0.0125 .30902 1 0 Msboxa
[(2)] -0.0125 .40712 1 0 Msboxa
[(2.5)] -0.0125 .50522 1 0 Msboxa
[(3)] -0.0125 .60332 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
0 g
p
p
.002 w
.02381 0 m
.02381 .00625 L
s
P
[(0)] .02381 0 0 2 Mshowa
p
.002 w
.21429 0 m
.21429 .00625 L
s
P
[(0.2)] .21429 0 0 2 Mshowa
p
.002 w
.40476 0 m
.40476 .00625 L
s
P
[(0.4)] .40476 0 0 2 Mshowa
p
.002 w
.59524 0 m
.59524 .00625 L
s
P
[(0.6)] .59524 0 0 2 Mshowa
p
.002 w
.78571 0 m
.78571 .00625 L
s
P
[(0.8)] .78571 0 0 2 Mshowa
p
.002 w
.97619 0 m
.97619 .00625 L
s
P
[(1)] .97619 0 0 2 Mshowa
p
.001 w
.0619 0 m
.0619 .00375 L
s
P
p
.001 w
.1 0 m
.1 .00375 L
s
P
p
.001 w
.1381 0 m
.1381 .00375 L
s
P
p
.001 w
.17619 0 m
.17619 .00375 L
s
P
p
.001 w
.25238 0 m
.25238 .00375 L
s
P
p
.001 w
.29048 0 m
.29048 .00375 L
s
P
p
.001 w
.32857 0 m
.32857 .00375 L
s
P
p
.001 w
.36667 0 m
.36667 .00375 L
s
P
p
.001 w
.44286 0 m
.44286 .00375 L
s
P
p
.001 w
.48095 0 m
.48095 .00375 L
s
P
p
.001 w
.51905 0 m
.51905 .00375 L
s
P
p
.001 w
.55714 0 m
.55714 .00375 L
s
P
p
.001 w
.63333 0 m
.63333 .00375 L
s
P
p
.001 w
.67143 0 m
.67143 .00375 L
s
P
p
.001 w
.70952 0 m
.70952 .00375 L
s
P
p
.001 w
.74762 0 m
.74762 .00375 L
s
P
p
.001 w
.82381 0 m
.82381 .00375 L
s
P
p
.001 w
.8619 0 m
.8619 .00375 L
s
P
p
.001 w
.9 0 m
.9 .00375 L
s
P
p
.001 w
.9381 0 m
.9381 .00375 L
s
P
p
.002 w
0 0 m
1 0 L
s
P
p
.002 w
0 .01472 m
.00625 .01472 L
s
P
[(0)] -0.0125 .01472 1 0 Mshowa
p
.002 w
0 .11282 m
.00625 .11282 L
s
P
[(0.5)] -0.0125 .11282 1 0 Mshowa
p
.002 w
0 .21092 m
.00625 .21092 L
s
P
[(1)] -0.0125 .21092 1 0 Mshowa
p
.002 w
0 .30902 m
.00625 .30902 L
s
P
[(1.5)] -0.0125 .30902 1 0 Mshowa
p
.002 w
0 .40712 m
.00625 .40712 L
s
P
[(2)] -0.0125 .40712 1 0 Mshowa
p
.002 w
0 .50522 m
.00625 .50522 L
s
P
[(2.5)] -0.0125 .50522 1 0 Mshowa
p
.002 w
0 .60332 m
.00625 .60332 L
s
P
[(3)] -0.0125 .60332 1 0 Mshowa
p
.001 w
0 .03434 m
.00375 .03434 L
s
P
p
.001 w
0 .05396 m
.00375 .05396 L
s
P
p
.001 w
0 .07358 m
.00375 .07358 L
s
P
p
.001 w
0 .0932 m
.00375 .0932 L
s
P
p
.001 w
0 .13244 m
.00375 .13244 L
s
P
p
.001 w
0 .15206 m
.00375 .15206 L
s
P
p
.001 w
0 .17168 m
.00375 .17168 L
s
P
p
.001 w
0 .1913 m
.00375 .1913 L
s
P
p
.001 w
0 .23054 m
.00375 .23054 L
s
P
p
.001 w
0 .25016 m
.00375 .25016 L
s
P
p
.001 w
0 .26978 m
.00375 .26978 L
s
P
p
.001 w
0 .2894 m
.00375 .2894 L
s
P
p
.001 w
0 .32864 m
.00375 .32864 L
s
P
p
.001 w
0 .34826 m
.00375 .34826 L
s
P
p
.001 w
0 .36788 m
.00375 .36788 L
s
P
p
.001 w
0 .3875 m
.00375 .3875 L
s
P
p
.001 w
0 .42674 m
.00375 .42674 L
s
P
p
.001 w
0 .44636 m
.00375 .44636 L
s
P
p
.001 w
0 .46598 m
.00375 .46598 L
s
P
p
.001 w
0 .4856 m
.00375 .4856 L
s
P
p
.001 w
0 .52484 m
.00375 .52484 L
s
P
p
.001 w
0 .54446 m
.00375 .54446 L
s
P
p
.001 w
0 .56408 m
.00375 .56408 L
s
P
p
.001 w
0 .5837 m
.00375 .5837 L
s
P
p
.002 w
0 0 m
0 .61803 L
s
P
P
p
p
.002 w
.02381 .61178 m
.02381 .61803 L
s
P
p
.002 w
.21429 .61178 m
.21429 .61803 L
s
P
p
.002 w
.40476 .61178 m
.40476 .61803 L
s
P
p
.002 w
.59524 .61178 m
.59524 .61803 L
s
P
p
.002 w
.78571 .61178 m
.78571 .61803 L
s
P
p
.002 w
.97619 .61178 m
.97619 .61803 L
s
P
p
.001 w
.0619 .61428 m
.0619 .61803 L
s
P
p
.001 w
.1 .61428 m
.1 .61803 L
s
P
p
.001 w
.1381 .61428 m
.1381 .61803 L
s
P
p
.001 w
.17619 .61428 m
.17619 .61803 L
s
P
p
.001 w
.25238 .61428 m
.25238 .61803 L
s
P
p
.001 w
.29048 .61428 m
.29048 .61803 L
s
P
p
.001 w
.32857 .61428 m
.32857 .61803 L
s
P
p
.001 w
.36667 .61428 m
.36667 .61803 L
s
P
p
.001 w
.44286 .61428 m
.44286 .61803 L
s
P
p
.001 w
.48095 .61428 m
.48095 .61803 L
s
P
p
.001 w
.51905 .61428 m
.51905 .61803 L
s
P
p
.001 w
.55714 .61428 m
.55714 .61803 L
s
P
p
.001 w
.63333 .61428 m
.63333 .61803 L
s
P
p
.001 w
.67143 .61428 m
.67143 .61803 L
s
P
p
.001 w
.70952 .61428 m
.70952 .61803 L
s
P
p
.001 w
.74762 .61428 m
.74762 .61803 L
s
P
p
.001 w
.82381 .61428 m
.82381 .61803 L
s
P
p
.001 w
.8619 .61428 m
.8619 .61803 L
s
P
p
.001 w
.9 .61428 m
.9 .61803 L
s
P
p
.001 w
.9381 .61428 m
.9381 .61803 L
s
P
p
.002 w
0 .61803 m
1 .61803 L
s
P
p
.002 w
.99375 .01472 m
1 .01472 L
s
P
p
.002 w
.99375 .11282 m
1 .11282 L
s
P
p
.002 w
.99375 .21092 m
1 .21092 L
s
P
p
.002 w
.99375 .30902 m
1 .30902 L
s
P
p
.002 w
.99375 .40712 m
1 .40712 L
s
P
p
.002 w
.99375 .50522 m
1 .50522 L
s
P
p
.002 w
.99375 .60332 m
1 .60332 L
s
P
p
.001 w
.99625 .03434 m
1 .03434 L
s
P
p
.001 w
.99625 .05396 m
1 .05396 L
s
P
p
.001 w
.99625 .07358 m
1 .07358 L
s
P
p
.001 w
.99625 .0932 m
1 .0932 L
s
P
p
.001 w
.99625 .13244 m
1 .13244 L
s
P
p
.001 w
.99625 .15206 m
1 .15206 L
s
P
p
.001 w
.99625 .17168 m
1 .17168 L
s
P
p
.001 w
.99625 .1913 m
1 .1913 L
s
P
p
.001 w
.99625 .23054 m
1 .23054 L
s
P
p
.001 w
.99625 .25016 m
1 .25016 L
s
P
p
.001 w
.99625 .26978 m
1 .26978 L
s
P
p
.001 w
.99625 .2894 m
1 .2894 L
s
P
p
.001 w
.99625 .32864 m
1 .32864 L
s
P
p
.001 w
.99625 .34826 m
1 .34826 L
s
P
p
.001 w
.99625 .36788 m
1 .36788 L
s
P
p
.001 w
.99625 .3875 m
1 .3875 L
s
P
p
.001 w
.99625 .42674 m
1 .42674 L
s
P
p
.001 w
.99625 .44636 m
1 .44636 L
s
P
p
.001 w
.99625 .46598 m
1 .46598 L
s
P
p
.001 w
.99625 .4856 m
1 .4856 L
s
P
p
.001 w
.99625 .52484 m
1 .52484 L
s
P
p
.001 w
.99625 .54446 m
1 .54446 L
s
P
p
.001 w
.99625 .56408 m
1 .56408 L
s
P
p
.001 w
.99625 .5837 m
1 .5837 L
s
P
p
.002 w
1 0 m
1 .61803 L
s
P
P
p
p
.002 w
0 .01472 m
1 .01472 L
s
P
p
.002 w
.02381 0 m
.02381 .61803 L
s
P
P
p
p
0 0 1 r
.02381 .01472 m
.02381 .21092 L
.11905 .21092 L
.11905 .01472 L
F
.11905 .01472 m
.11905 .01472 L
.21429 .01472 L
.21429 .01472 L
F
.21429 .01472 m
.21429 .21092 L
.30952 .21092 L
.30952 .01472 L
F
.30952 .01472 m
.30952 .01472 L
.40476 .01472 L
.40476 .01472 L
F
.40476 .01472 m
.40476 .40712 L
.5 .40712 L
.5 .01472 L
F
.5 .01472 m
.5 .40712 L
.59524 .40712 L
.59524 .01472 L
F
.59524 .01472 m
.59524 .01472 L
.69048 .01472 L
.69048 .01472 L
F
.69048 .01472 m
.69048 .01472 L
.78571 .01472 L
.78571 .01472 L
F
.78571 .01472 m
.78571 .21092 L
.88095 .21092 L
.88095 .01472 L
F
.88095 .01472 m
.88095 .60332 L
.97619 .60332 L
.97619 .01472 L
F
P
p
.004 w
.02381 .01472 m
.02381 .21092 L
s
.11905 .01472 m
.11905 .21092 L
s
.02381 .21092 m
.11905 .21092 L
s
.11905 .01472 m
.11905 .01472 L
s
.21429 .01472 m
.21429 .01472 L
s
.11905 .01472 m
.21429 .01472 L
s
.21429 .01472 m
.21429 .21092 L
s
.30952 .01472 m
.30952 .21092 L
s
.21429 .21092 m
.30952 .21092 L
s
.30952 .01472 m
.30952 .01472 L
s
.40476 .01472 m
.40476 .01472 L
s
.30952 .01472 m
.40476 .01472 L
s
.40476 .01472 m
.40476 .40712 L
s
.5 .01472 m
.5 .40712 L
s
.40476 .40712 m
.5 .40712 L
s
.5 .01472 m
.5 .40712 L
s
.59524 .01472 m
.59524 .40712 L
s
.5 .40712 m
.59524 .40712 L
s
.59524 .01472 m
.59524 .01472 L
s
.69048 .01472 m
.69048 .01472 L
s
.59524 .01472 m
.69048 .01472 L
s
.69048 .01472 m
.69048 .01472 L
s
.78571 .01472 m
.78571 .01472 L
s
.69048 .01472 m
.78571 .01472 L
s
.78571 .01472 m
.78571 .21092 L
s
.88095 .01472 m
.88095 .21092 L
s
.78571 .21092 m
.88095 .21092 L
s
.88095 .01472 m
.88095 .60332 L
s
.97619 .01472 m
.97619 .60332 L
s
.88095 .60332 m
.97619 .60332 L
s
P
P
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd

^*)
