(*^

::[	frontEndVersion = "Macintosh Mathematica Notebook Front End Version 2.1";
	macintoshStandardFontEncoding; 
	paletteColors = 128; automaticGrouping; currentKernel; 
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; ;
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L-5,  12, "Courier"; ;
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, R65535, L-5,  12, "Courier"; ;
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, B65535, L-5,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, "Courier"; ;
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  10, "Geneva"; ;
	fontset = header, inactive, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
	fontset = leftheader, inactive, L2,  12, "Times"; ;
	fontset = footer, inactive, noKeepOnOnePage, preserveAspect, center, M7,  12, "Times"; ;
	fontset = leftfooter, inactive, L2,  12, "Times"; ;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; ;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
]
:[font = text; inactive; preserveAspect; ]
PROGRAM:  AShuffle
CALLING SEQUENCE:  AShuffle[a, deck, print]
PARAMETERS:
     a - an integer
     deck - a list
     print - a Boolean variable (True or False)
SYNOPSIS:
     -  This program models an a-shuffle of a deck ordered as in the list deck.  (For
        instance:  if you want to a-shuffle a numerically-ordered deck of length n, enter
        Table[i, {i, 1, n}] as the deck parameter.)  If print = True, then the program displays
        a list of places the cuts occurred, and a list of the piles into which those cuts
        divided the original deck.  The program returns a list representing the shuffled
        deck.
    -  Note:  k riffle shuffles are equivalent to one (2^k) shuffle.
RETURNED VALUES:
     -  a list representing the shuffled deck
LOCATION:
     Folder:  Chapter 3
     File:       "AShuffle.Chpt3.mat"
;[s]
1:0,0;841,-1;
1:1,14,10,Helvetica,0,12,0,0,0;
:[font = input; initialization; preserveAspect; ]
*)
Clear[AShuffle];
AShuffle[a_, deck_, print_] :=
Block[{n = Length[deck],
       cutpositions = {},
       piles = Table[{}, {i, 1, a}],
       currentcutindex,
       i,
       j,
       cardindexlist = {},
       outputlist = {}
      },
      For[i = 1, i < a, i++,
          cutpositions = 
            Append[cutpositions, 
                   Random[Integer, {0, n}]
                  ]
         ];
      cutpositions = Sort[cutpositions];
      If[print, Print["cutpositions = ", cutpositions]];
      currentcutindex = 1;
      For[i = 1, i <= n, i++,
          If[(i <= cutpositions[[currentcutindex]]),
             piles[[currentcutindex]] = 
              Append[piles[[currentcutindex]], 
                     deck[[i]]
                    ],
             While[((i > cutpositions[[currentcutindex]])
                    &&(currentcutindex < a-1)),
                   currentcutindex++
                  ];
             If[(currentcutindex < a-1),
                piles[[currentcutindex]] = 
                 Append[piles[[currentcutindex]],
                        deck[[i]]
                       ]
               ];
             If[((currentcutindex == a-1)
                 &&(i > cutpositions[[a-1]])),
                piles[[a]] = 
                 Append[piles[[a]], deck[[i]]]                
               ];
             If[((currentcutindex == a-1)
                 &&(i <= cutpositions[[a-1]])),
                piles[[a-1]] =
                 Append[piles[[a-1]], deck[[i]]]
               ];
             ];
         ];
      If[print, Print["piles = ", piles]];
      For[i = 1, i <= a, i++,
          For[j = 1, j <= Length[piles[[i]]], j++,
              cardindexlist = 
                Append[cardindexlist, i]
             ];
         ];
      For[i = 1, i <= n, i++,
          j = Random[Integer, {1, n + 1 - i}];
          outputlist = 
            Prepend[outputlist, 
                   Last[piles[[cardindexlist[[j]]]]]
                  ];
          piles[[cardindexlist[[j]]]] = 
            Drop[piles[[cardindexlist[[j]]]], -1];
          cardindexlist =
            Drop[cardindexlist, {j, j}];
         ];
      Return[outputlist]
     ]
(*
:[font = input; preserveAspect; startGroup; ]
AShuffle[4, Table[i, {i, 1, 10}], True]
:[font = print; inactive; preserveAspect; ]
cutpositions = {2, 3, 6}
piles = {{1, 2}, {3}, {4, 5, 6}, {7, 8, 9, 10}}
:[font = output; output; inactive; preserveAspect; endGroup; ]
{4, 7, 8, 1, 2, 5, 9, 10, 3, 6}
;[o]
{4, 7, 8, 1, 2, 5, 9, 10, 3, 6}
^*)