(*^

::[	frontEndVersion = "Macintosh Mathematica Notebook Front End Version 2.1";
	macintoshStandardFontEncoding; 
	paletteColors = 128; automaticGrouping; currentKernel; 
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; ;
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L-5,  12, "Courier"; ;
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, R65535, L-5,  12, "Courier"; ;
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, B65535, L-5,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, "Courier"; ;
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  10, "Geneva"; ;
	fontset = header, inactive, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
	fontset = leftheader, inactive, L2,  12, "Times"; ;
	fontset = footer, inactive, noKeepOnOnePage, preserveAspect, center, M7,  12, "Times"; ;
	fontset = leftfooter, inactive, L2,  12, "Times"; ;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; ;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
]
:[font = text; inactive; preserveAspect; ]
PROGRAM:  BinomialPlot
CALLING SEQUENCE:  BinomialPlot[nlist, p]
PARAMETERS:
     nlist - a list of integers
     p - a real number
SYNOPSIS:
     -  For each n in nlist, this program plots a spike graph of the distribution for n
        Bernoulli trials with probability of success p.  These graphs are all plotted on the
        same set of axes.
     -  Note:  this program requires the programs "Bin[n, p, k]" and
        "Spikegraph[distributionlist, xmin, xmax, print]" be initialized.
RETURNED VALUES:
     -  none
LOCATION:
     Folder:  Chapter 3
     File:       "BinomialPlot.Chpt3.mat"
;[s]
1:0,1;598,-1;
2:0,13,9,Times,0,12,0,0,0;1,14,10,Helvetica,0,12,0,0,0;
:[font = input; initialization; preserveAspect; ]
*)
Clear[BinomialPlot];
BinomialPlot[nlist_, p_] :=
Block[{n, slist = {}},
      For[i = 1, i <= Length[nlist], i++,
          n = nlist[[i]];
          For[j = 1, j <= n, j++,
              slist = Append[slist, {j, Bin[n, p, j]}];
             ]
         ];
      Spikegraph[slist, 0, Max[nlist], True]
     ]
(*
:[font = input; preserveAspect; startGroup; ]
BinomialPlot[{20, 40, 80, 120}, .5];
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; endGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: .61803  
MathPictureStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0158063 0.0080032 0.0147151 3.3406 [
[(0)] .01581  0 0 2 Msboxa
[(20)] .17587  0 0 2 Msboxa
[(40)] .33593  0 0 2 Msboxa
[(60)] .496  0 0 2 Msboxa
[(80)] .65606  0 0 2 Msboxa
[(100)] .81613  0 0 2 Msboxa
[(120)] .97619  0 0 2 Msboxa
[(0)] -0.0125 .01472  1 0 Msboxa
[(0.025)] -0.0125 .09823  1 0 Msboxa
[(0.05)] -0.0125 .18175  1 0 Msboxa
[(0.075)] -0.0125 .26526  1 0 Msboxa
[(0.1)] -0.0125 .34878  1 0 Msboxa
[(0.125)] -0.0125 .43229  1 0 Msboxa
[(0.15)] -0.0125 .51581  1 0 Msboxa
[(0.175)] -0.0125 .59932  1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 .61903  0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
0 g
p
p
.002  w
.01581  0 m
.01581  .00625  L
s
P
[(0)] .01581  0 0 2 Mshowa
p
.002  w
.17587  0 m
.17587  .00625  L
s
P
[(20)] .17587  0 0 2 Mshowa
p
.002  w
.33593  0 m
.33593  .00625  L
s
P
[(40)] .33593  0 0 2 Mshowa
p
.002  w
.496  0 m
.496  .00625  L
s
P
[(60)] .496  0 0 2 Mshowa
p
.002  w
.65606  0 m
.65606  .00625  L
s
P
[(80)] .65606  0 0 2 Mshowa
p
.002  w
.81613  0 m
.81613  .00625  L
s
P
[(100)] .81613  0 0 2 Mshowa
p
.002  w
.97619  0 m
.97619  .00625  L
s
P
[(120)] .97619  0 0 2 Mshowa
p
.001  w
.04782  0 m
.04782  .00375  L
s
P
p
.001  w
.07983  0 m
.07983  .00375  L
s
P
p
.001  w
.11184  0 m
.11184  .00375  L
s
P
p
.001  w
.14386  0 m
.14386  .00375  L
s
P
p
.001  w
.20788  0 m
.20788  .00375  L
s
P
p
.001  w
.2399  0 m
.2399  .00375  L
s
P
p
.001  w
.27191  0 m
.27191  .00375  L
s
P
p
.001  w
.30392  0 m
.30392  .00375  L
s
P
p
.001  w
.36795  0 m
.36795  .00375  L
s
P
p
.001  w
.39996  0 m
.39996  .00375  L
s
P
p
.001  w
.43197  0 m
.43197  .00375  L
s
P
p
.001  w
.46399  0 m
.46399  .00375  L
s
P
p
.001  w
.52801  0 m
.52801  .00375  L
s
P
p
.001  w
.56002  0 m
.56002  .00375  L
s
P
p
.001  w
.59204  0 m
.59204  .00375  L
s
P
p
.001  w
.62405  0 m
.62405  .00375  L
s
P
p
.001  w
.68808  0 m
.68808  .00375  L
s
P
p
.001  w
.72009  0 m
.72009  .00375  L
s
P
p
.001  w
.7521  0 m
.7521  .00375  L
s
P
p
.001  w
.78411  0 m
.78411  .00375  L
s
P
p
.001  w
.84814  0 m
.84814  .00375  L
s
P
p
.001  w
.88015  0 m
.88015  .00375  L
s
P
p
.001  w
.91216  0 m
.91216  .00375  L
s
P
p
.001  w
.94418  0 m
.94418  .00375  L
s
P
p
.002  w
0 0 m
1 0 L
s
P
p
.002  w
0 .01472  m
.00625  .01472  L
s
P
[(0)] -0.0125 .01472  1 0 Mshowa
p
.002  w
0 .09823  m
.00625  .09823  L
s
P
[(0.025)] -0.0125 .09823  1 0 Mshowa
p
.002  w
0 .18175  m
.00625  .18175  L
s
P
[(0.05)] -0.0125 .18175  1 0 Mshowa
p
.002  w
0 .26526  m
.00625  .26526  L
s
P
[(0.075)] -0.0125 .26526  1 0 Mshowa
p
.002  w
0 .34878  m
.00625  .34878  L
s
P
[(0.1)] -0.0125 .34878  1 0 Mshowa
p
.002  w
0 .43229  m
.00625  .43229  L
s
P
[(0.125)] -0.0125 .43229  1 0 Mshowa
p
.002  w
0 .51581  m
.00625  .51581  L
s
P
[(0.15)] -0.0125 .51581  1 0 Mshowa
p
.002  w
0 .59932  m
.00625  .59932  L
s
P
[(0.175)] -0.0125 .59932  1 0 Mshowa
p
.001  w
0 .03142  m
.00375  .03142  L
s
P
p
.001  w
0 .04812  m
.00375  .04812  L
s
P
p
.001  w
0 .06482  m
.00375  .06482  L
s
P
p
.001  w
0 .08153  m
.00375  .08153  L
s
P
p
.001  w
0 .11493  m
.00375  .11493  L
s
P
p
.001  w
0 .13164  m
.00375  .13164  L
s
P
p
.001  w
0 .14834  m
.00375  .14834  L
s
P
p
.001  w
0 .16504  m
.00375  .16504  L
s
P
p
.001  w
0 .19845  m
.00375  .19845  L
s
P
p
.001  w
0 .21515  m
.00375  .21515  L
s
P
p
.001  w
0 .23185  m
.00375  .23185  L
s
P
p
.001  w
0 .24856  m
.00375  .24856  L
s
P
p
.001  w
0 .28196  m
.00375  .28196  L
s
P
p
.001  w
0 .29867  m
.00375  .29867  L
s
P
p
.001  w
0 .31537  m
.00375  .31537  L
s
P
p
.001  w
0 .33207  m
.00375  .33207  L
s
P
p
.001  w
0 .36548  m
.00375  .36548  L
s
P
p
.001  w
0 .38218  m
.00375  .38218  L
s
P
p
.001  w
0 .39888  m
.00375  .39888  L
s
P
p
.001  w
0 .41559  m
.00375  .41559  L
s
P
p
.001  w
0 .44899  m
.00375  .44899  L
s
P
p
.001  w
0 .4657  m
.00375  .4657  L
s
P
p
.001  w
0 .4824  m
.00375  .4824  L
s
P
p
.001  w
0 .4991  m
.00375  .4991  L
s
P
p
.001  w
0 .53251  m
.00375  .53251  L
s
P
p
.001  w
0 .54921  m
.00375  .54921  L
s
P
p
.001  w
0 .56591  m
.00375  .56591  L
s
P
p
.001  w
0 .58262  m
.00375  .58262  L
s
P
p
.001  w
0 .61602  m
.00375  .61602  L
s
P
p
.002  w
0 0 m
0 .61803  L
s
P
P
p
p
.002  w
.01581  .61178  m
.01581  .61803  L
s
P
p
.002  w
.17587  .61178  m
.17587  .61803  L
s
P
p
.002  w
.33593  .61178  m
.33593  .61803  L
s
P
p
.002  w
.496  .61178  m
.496  .61803  L
s
P
p
.002  w
.65606  .61178  m
.65606  .61803  L
s
P
p
.002  w
.81613  .61178  m
.81613  .61803  L
s
P
p
.002  w
.97619  .61178  m
.97619  .61803  L
s
P
p
.001  w
.04782  .61428  m
.04782  .61803  L
s
P
p
.001  w
.07983  .61428  m
.07983  .61803  L
s
P
p
.001  w
.11184  .61428  m
.11184  .61803  L
s
P
p
.001  w
.14386  .61428  m
.14386  .61803  L
s
P
p
.001  w
.20788  .61428  m
.20788  .61803  L
s
P
p
.001  w
.2399  .61428  m
.2399  .61803  L
s
P
p
.001  w
.27191  .61428  m
.27191  .61803  L
s
P
p
.001  w
.30392  .61428  m
.30392  .61803  L
s
P
p
.001  w
.36795  .61428  m
.36795  .61803  L
s
P
p
.001  w
.39996  .61428  m
.39996  .61803  L
s
P
p
.001  w
.43197  .61428  m
.43197  .61803  L
s
P
p
.001  w
.46399  .61428  m
.46399  .61803  L
s
P
p
.001  w
.52801  .61428  m
.52801  .61803  L
s
P
p
.001  w
.56002  .61428  m
.56002  .61803  L
s
P
p
.001  w
.59204  .61428  m
.59204  .61803  L
s
P
p
.001  w
.62405  .61428  m
.62405  .61803  L
s
P
p
.001  w
.68808  .61428  m
.68808  .61803  L
s
P
p
.001  w
.72009  .61428  m
.72009  .61803  L
s
P
p
.001  w
.7521  .61428  m
.7521  .61803  L
s
P
p
.001  w
.78411  .61428  m
.78411  .61803  L
s
P
p
.001  w
.84814  .61428  m
.84814  .61803  L
s
P
p
.001  w
.88015  .61428  m
.88015  .61803  L
s
P
p
.001  w
.91216  .61428  m
.91216  .61803  L
s
P
p
.001  w
.94418  .61428  m
.94418  .61803  L
s
P
p
.002  w
0 .61803  m
1 .61803  L
s
P
p
.002  w
.99375  .01472  m
1 .01472  L
s
P
p
.002  w
.99375  .09823  m
1 .09823  L
s
P
p
.002  w
.99375  .18175  m
1 .18175  L
s
P
p
.002  w
.99375  .26526  m
1 .26526  L
s
P
p
.002  w
.99375  .34878  m
1 .34878  L
s
P
p
.002  w
.99375  .43229  m
1 .43229  L
s
P
p
.002  w
.99375  .51581  m
1 .51581  L
s
P
p
.002  w
.99375  .59932  m
1 .59932  L
s
P
p
.001  w
.99625  .03142  m
1 .03142  L
s
P
p
.001  w
.99625  .04812  m
1 .04812  L
s
P
p
.001  w
.99625  .06482  m
1 .06482  L
s
P
p
.001  w
.99625  .08153  m
1 .08153  L
s
P
p
.001  w
.99625  .11493  m
1 .11493  L
s
P
p
.001  w
.99625  .13164  m
1 .13164  L
s
P
p
.001  w
.99625  .14834  m
1 .14834  L
s
P
p
.001  w
.99625  .16504  m
1 .16504  L
s
P
p
.001  w
.99625  .19845  m
1 .19845  L
s
P
p
.001  w
.99625  .21515  m
1 .21515  L
s
P
p
.001  w
.99625  .23185  m
1 .23185  L
s
P
p
.001  w
.99625  .24856  m
1 .24856  L
s
P
p
.001  w
.99625  .28196  m
1 .28196  L
s
P
p
.001  w
.99625  .29867  m
1 .29867  L
s
P
p
.001  w
.99625  .31537  m
1 .31537  L
s
P
p
.001  w
.99625  .33207  m
1 .33207  L
s
P
p
.001  w
.99625  .36548  m
1 .36548  L
s
P
p
.001  w
.99625  .38218  m
1 .38218  L
s
P
p
.001  w
.99625  .39888  m
1 .39888  L
s
P
p
.001  w
.99625  .41559  m
1 .41559  L
s
P
p
.001  w
.99625  .44899  m
1 .44899  L
s
P
p
.001  w
.99625  .4657  m
1 .4657  L
s
P
p
.001  w
.99625  .4824  m
1 .4824  L
s
P
p
.001  w
.99625  .4991  m
1 .4991  L
s
P
p
.001  w
.99625  .53251  m
1 .53251  L
s
P
p
.001  w
.99625  .54921  m
1 .54921  L
s
P
p
.001  w
.99625  .56591  m
1 .56591  L
s
P
p
.001  w
.99625  .58262  m
1 .58262  L
s
P
p
.001  w
.99625  .61602  m
1 .61602  L
s
P
p
.002  w
1 0 m
1 .61803  L
s
P
P
p
P
p
.004  w
.02381  .01478  m
.02381  .01472  L
s
.03181  .01532  m
.03181  .01472  L
s
.03982  .01835  m
.03982  .01472  L
s
.04782  .03015  m
.04782  .01472  L
s
.05582  .06411  m
.05582  .01472  L
s
.06383  .1382  m
.06383  .01472  L
s
.07183  .26168  m
.07183  .01472  L
s
.07983  .41604  m
.07983  .01472  L
s
.08784  .54981  m
.08784  .01472  L
s
.09584  .60332  m
.09584  .01472  L
s
.10384  .54981  m
.10384  .01472  L
s
.11184  .41604  m
.11184  .01472  L
s
.11985  .26168  m
.11985  .01472  L
s
.12785  .1382  m
.12785  .01472  L
s
.13585  .06411  m
.13585  .01472  L
s
.14386  .03015  m
.14386  .01472  L
s
.15186  .01835  m
.15186  .01472  L
s
.15986  .01532  m
.15986  .01472  L
s
.16787  .01478  m
.16787  .01472  L
s
.17587  .01472  m
.17587  .01472  L
s
.02381  .01472  m
.02381  .01472  L
s
.03181  .01472  m
.03181  .01472  L
s
.03982  .01472  m
.03982  .01472  L
s
.04782  .01472  m
.04782  .01472  L
s
.05582  .01472  m
.05582  .01472  L
s
.06383  .01473  m
.06383  .01472  L
s
.07183  .01477  m
.07183  .01472  L
s
.07983  .01495  m
.07983  .01472  L
s
.08784  .01555  m
.08784  .01472  L
s
.09584  .01729  m
.09584  .01472  L
s
.10384  .02174  m
.10384  .01472  L
s
.11184  .03169  m
.11184  .01472  L
s
.11985  .05128  m
.11985  .01472  L
s
.12785  .08522  m
.12785  .01472  L
s
.13585  .13693  m
.13585  .01472  L
s
.14386  .20568  m
.14386  .01472  L
s
.15186  .28431  m
.15186  .01472  L
s
.15986  .35919  m
.15986  .01472  L
s
.16787  .41358  m
.16787  .01472  L
s
.17587  .43353  m
.17587  .01472  L
s
.18387  .41358  m
.18387  .01472  L
s
.19188  .35919  m
.19188  .01472  L
s
.19988  .28431  m
.19988  .01472  L
s
.20788  .20568  m
.20788  .01472  L
s
.21589  .13693  m
.21589  .01472  L
s
.22389  .08522  m
.22389  .01472  L
s
.23189  .05128  m
.23189  .01472  L
s
.2399  .03169  m
.2399  .01472  L
s
.2479  .02174  m
.2479  .01472  L
s
.2559  .01729  m
.2559  .01472  L
s
.26391  .01555  m
.26391  .01472  L
s
.27191  .01495  m
.27191  .01472  L
s
.27991  .01477  m
.27991  .01472  L
s
.28792  .01473  m
.28792  .01472  L
s
.29592  .01472  m
.29592  .01472  L
s
.30392  .01472  m
.30392  .01472  L
s
.31192  .01472  m
.31192  .01472  L
s
.31993  .01472  m
.31993  .01472  L
s
.32793  .01472  m
.32793  .01472  L
s
.33593  .01472  m
.33593  .01472  L
s
.02381  .01472  m
.02381  .01472  L
s
.03181  .01472  m
.03181  .01472  L
s
.03982  .01472  m
.03982  .01472  L
s
.04782  .01472  m
.04782  .01472  L
s
.05582  .01472  m
.05582  .01472  L
s
.06383  .01472  m
.06383  .01472  L
s
.07183  .01472  m
.07183  .01472  L
s
.07983  .01472  m
.07983  .01472  L
s
.08784  .01472  m
.08784  .01472  L
s
.09584  .01472  m
.09584  .01472  L
s
.10384  .01472  m
.10384  .01472  L
s
.11184  .01472  m
.11184  .01472  L
s
.11985  .01472  m
.11985  .01472  L
s
.12785  .01472  m
.12785  .01472  L
s
.13585  .01472  m
.13585  .01472  L
s
.14386  .01472  m
.14386  .01472  L
s
.15186  .01472  m
.15186  .01472  L
s
.15986  .01472  m
.15986  .01472  L
s
.16787  .01472  m
.16787  .01472  L
s
.17587  .01472  m
.17587  .01472  L
s
.18387  .01474  m
.18387  .01472  L
s
.19188  .01479  m
.19188  .01472  L
s
.19988  .0149  m
.19988  .01472  L
s
.20788  .01516  m
.20788  .01472  L
s
.21589  .01572  m
.21589  .01472  L
s
.22389  .01684  m
.22389  .01472  L
s
.23189  .01896  m
.23189  .01472  L
s
.2399  .02276  m
.2399  .01472  L
s
.2479  .02914  m
.2479  .01472  L
s
.2559  .03923  m
.2559  .01472  L
s
.26391  .05425  m
.26391  .01472  L
s
.27191  .07526  m
.27191  .01472  L
s
.27991  .10278  m
.27991  .01472  L
s
.28792  .13645  m
.28792  .01472  L
s
.29592  .17471  m
.29592  .01472  L
s
.30392  .21471  m
.30392  .01472  L
s
.31192  .25255  m
.31192  .01472  L
s
.31993  .28384  m
.31993  .01472  L
s
.32793  .30454  m
.32793  .01472  L
s
.33593  .31179  m
.33593  .01472  L
s
.34394  .30454  m
.34394  .01472  L
s
.35194  .28384  m
.35194  .01472  L
s
.35994  .25255  m
.35994  .01472  L
s
.36795  .21471  m
.36795  .01472  L
s
.37595  .17471  m
.37595  .01472  L
s
.38395  .13645  m
.38395  .01472  L
s
.39196  .10278  m
.39196  .01472  L
s
.39996  .07526  m
.39996  .01472  L
s
.40796  .05425  m
.40796  .01472  L
s
.41597  .03923  m
.41597  .01472  L
s
.42397  .02914  m
.42397  .01472  L
s
.43197  .02276  m
.43197  .01472  L
s
.43998  .01896  m
.43998  .01472  L
s
.44798  .01684  m
.44798  .01472  L
s
.45598  .01572  m
.45598  .01472  L
s
.46399  .01516  m
.46399  .01472  L
s
.47199  .0149  m
.47199  .01472  L
s
.47999  .01479  m
.47999  .01472  L
s
.488  .01474  m
.488  .01472  L
s
.496  .01472  m
.496  .01472  L
s
.504  .01472  m
.504  .01472  L
s
.512  .01472  m
.512  .01472  L
s
.52001  .01472  m
.52001  .01472  L
s
.52801  .01472  m
.52801  .01472  L
s
.53601  .01472  m
.53601  .01472  L
s
.54402  .01472  m
.54402  .01472  L
s
.55202  .01472  m
.55202  .01472  L
s
.56002  .01472  m
.56002  .01472  L
s
.56803  .01472  m
.56803  .01472  L
s
.57603  .01472  m
.57603  .01472  L
s
.58403  .01472  m
.58403  .01472  L
s
.59204  .01472  m
.59204  .01472  L
s
.60004  .01472  m
.60004  .01472  L
s
.60804  .01472  m
.60804  .01472  L
s
.61605  .01472  m
.61605  .01472  L
s
.62405  .01472  m
.62405  .01472  L
s
.63205  .01472  m
.63205  .01472  L
s
.64006  .01472  m
.64006  .01472  L
s
.64806  .01472  m
.64806  .01472  L
s
.65606  .01472  m
.65606  .01472  L
s
.02381  .01472  m
.02381  .01472  L
s
.03181  .01472  m
.03181  .01472  L
s
.03982  .01472  m
.03982  .01472  L
s
.04782  .01472  m
.04782  .01472  L
s
.05582  .01472  m
.05582  .01472  L
s
.06383  .01472  m
.06383  .01472  L
s
.07183  .01472  m
.07183  .01472  L
s
.07983  .01472  m
.07983  .01472  L
s
.08784  .01472  m
.08784  .01472  L
s
.09584  .01472  m
.09584  .01472  L
s
.10384  .01472  m
.10384  .01472  L
s
.11184  .01472  m
.11184  .01472  L
s
.11985  .01472  m
.11985  .01472  L
s
.12785  .01472  m
.12785  .01472  L
s
.13585  .01472  m
.13585  .01472  L
s
.14386  .01472  m
.14386  .01472  L
s
.15186  .01472  m
.15186  .01472  L
s
.15986  .01472  m
.15986  .01472  L
s
.16787  .01472  m
.16787  .01472  L
s
.17587  .01472  m
.17587  .01472  L
s
.18387  .01472  m
.18387  .01472  L
s
.19188  .01472  m
.19188  .01472  L
s
.19988  .01472  m
.19988  .01472  L
s
.20788  .01472  m
.20788  .01472  L
s
.21589  .01472  m
.21589  .01472  L
s
.22389  .01472  m
.22389  .01472  L
s
.23189  .01472  m
.23189  .01472  L
s
.2399  .01472  m
.2399  .01472  L
s
.2479  .01472  m
.2479  .01472  L
s
.2559  .01472  m
.2559  .01472  L
s
.26391  .01472  m
.26391  .01472  L
s
.27191  .01472  m
.27191  .01472  L
s
.27991  .01472  m
.27991  .01472  L
s
.28792  .01472  m
.28792  .01472  L
s
.29592  .01472  m
.29592  .01472  L
s
.30392  .01473  m
.30392  .01472  L
s
.31192  .01475  m
.31192  .01472  L
s
.31993  .01478  m
.31993  .01472  L
s
.32793  .01486  m
.32793  .01472  L
s
.33593  .015  m
.33593  .01472  L
s
.34394  .01528  m
.34394  .01472  L
s
.35194  .01577  m
.35194  .01472  L
s
.35994  .01663  m
.35994  .01472  L
s
.36795  .01807  m
.36795  .01472  L
s
.37595  .02038  m
.37595  .01472  L
s
.38395  .02395  m
.38395  .01472  L
s
.39196  .02926  m
.39196  .01472  L
s
.39996  .03683  m
.39996  .01472  L
s
.40796  .04721  m
.40796  .01472  L
s
.41597  .06086  m
.41597  .01472  L
s
.42397  .07805  m
.42397  .01472  L
s
.43197  .09876  m
.43197  .01472  L
s
.43998  .12255  m
.43998  .01472  L
s
.44798  .14851  m
.44798  .01472  L
s
.45598  .17526  m
.45598  .01472  L
s
.46399  .20107  m
.46399  .01472  L
s
.47199  .22395  m
.47199  .01472  L
s
.47999  .24199  m
.47999  .01472  L
s
.488  .25355  m
.488  .01472  L
s
.496  .25753  m
.496  .01472  L
s
.504  .25355  m
.504  .01472  L
s
.512  .24199  m
.512  .01472  L
s
.52001  .22395  m
.52001  .01472  L
s
.52801  .20107  m
.52801  .01472  L
s
.53601  .17526  m
.53601  .01472  L
s
.54402  .14851  m
.54402  .01472  L
s
.55202  .12255  m
.55202  .01472  L
s
.56002  .09876  m
.56002  .01472  L
s
.56803  .07805  m
.56803  .01472  L
s
.57603  .06086  m
.57603  .01472  L
s
.58403  .04721  m
.58403  .01472  L
s
.59204  .03683  m
.59204  .01472  L
s
.60004  .02926  m
.60004  .01472  L
s
.60804  .02395  m
.60804  .01472  L
s
.61605  .02038  m
.61605  .01472  L
s
.62405  .01807  m
.62405  .01472  L
s
.63205  .01663  m
.63205  .01472  L
s
.64006  .01577  m
.64006  .01472  L
s
.64806  .01528  m
.64806  .01472  L
s
.65606  .015  m
.65606  .01472  L
s
.66407  .01486  m
.66407  .01472  L
s
.67207  .01478  m
.67207  .01472  L
s
.68007  .01475  m
.68007  .01472  L
s
.68808  .01473  m
.68808  .01472  L
s
.69608  .01472  m
.69608  .01472  L
s
.70408  .01472  m
.70408  .01472  L
s
.71208  .01472  m
.71208  .01472  L
s
.72009  .01472  m
.72009  .01472  L
s
.72809  .01472  m
.72809  .01472  L
s
.73609  .01472  m
.73609  .01472  L
s
.7441  .01472  m
.7441  .01472  L
s
.7521  .01472  m
.7521  .01472  L
s
.7601  .01472  m
.7601  .01472  L
s
.76811  .01472  m
.76811  .01472  L
s
.77611  .01472  m
.77611  .01472  L
s
.78411  .01472  m
.78411  .01472  L
s
.79212  .01472  m
.79212  .01472  L
s
.80012  .01472  m
.80012  .01472  L
s
.80812  .01472  m
.80812  .01472  L
s
.81613  .01472  m
.81613  .01472  L
s
.82413  .01472  m
.82413  .01472  L
s
.83213  .01472  m
.83213  .01472  L
s
.84014  .01472  m
.84014  .01472  L
s
.84814  .01472  m
.84814  .01472  L
s
.85614  .01472  m
.85614  .01472  L
s
.86415  .01472  m
.86415  .01472  L
s
.87215  .01472  m
.87215  .01472  L
s
.88015  .01472  m
.88015  .01472  L
s
.88816  .01472  m
.88816  .01472  L
s
.89616  .01472  m
.89616  .01472  L
s
.90416  .01472  m
.90416  .01472  L
s
.91216  .01472  m
.91216  .01472  L
s
.92017  .01472  m
.92017  .01472  L
s
.92817  .01472  m
.92817  .01472  L
s
.93617  .01472  m
.93617  .01472  L
s
.94418  .01472  m
.94418  .01472  L
s
.95218  .01472  m
.95218  .01472  L
s
.96018  .01472  m
.96018  .01472  L
s
.96819  .01472  m
.96819  .01472  L
s
.97619  .01472  m
.97619  .01472  L
s
P
0 0 m
1 0 L
1 .61803  L
0 .61803  L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
^*)