(*^
::[	Information =

	"This is a Mathematica Notebook file.  It contains ASCII text, and can be
	transferred by email, ftp, or other text-file transfer utility.  It should
	be read or edited using a copy of Mathematica or MathReader.  If you 
	received this as email, use your mail application or copy/paste to save 
	everything from the line containing (*^ down to the line containing ^*)
	into a plain text file.  On some systems you may have to give the file a 
	name ending with ".ma" to allow Mathematica to recognize it as a Notebook.
	The line below identifies what version of Mathematica created this file,
	but it can be opened using any other version as well.";

	FrontEndVersion = "Macintosh Mathematica Notebook Front End Version 2.2";

	MacintoshStandardFontEncoding; 
	
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, "Times"; 
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, "Times"; 
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, "Times"; 
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, "Times"; 
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, "Times"; 
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, "Times"; 
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L-5,  12, "Courier"; 
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; 
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, R65535, L-5,  12, "Courier"; 
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; 
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, B65535, L-5,  12, "Courier"; 
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, "Courier"; 
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  10, "Geneva"; 
	fontset = header, inactive, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = leftheader, inactive, L2,  12, "Times"; 
	fontset = footer, inactive, noKeepOnOnePage, preserveAspect, center, M7,  12, "Times"; 
	fontset = leftfooter, inactive, L2,  12, "Times"; 
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	paletteColors = 128; automaticGrouping; currentKernel; 
]
:[font = text; inactive; preserveAspect]
PROGRAM:  A
CALLING SEQUENCE:  A[n, r]
PARAMETERS:
     n, r - integers
SYNOPSIS:
     -  This program calculates the Eulerian number A(n, r) (i.e., the number of
        orderings of {1, 2, ..., n} with r falls).
RETURNED VALUES:
     -  the Eulerian number A(n, r)
LOCATION:
     Folder:  Chapter 3
     File:       "ShuffleCalculations.Chpt3.mat"
;[s]
1:0,1;350,-1;
2:0,13,9,Times,0,12,0,0,0;1,14,10,Helvetica,0,12,0,0,0;
:[font = input; initialization; preserveAspect]
*)
Clear[A];
A[n_, r_] := A[n,r] = r^n - 
   Sum[Binomial[n + r - j, n] A[n,j],{j, 1, r-1}]
(*
:[font = text; inactive; preserveAspect]
PROGRAM:  VariationDistance
CALLING SEQUENCE:  VariationDistance[n, k]
PARAMETERS:
     n, k - integers
SYNOPSIS:
     -  This program calculates the variation distance, v(k), between a process which
        produces random orderings of n cards,  and the process consisting of
        one (2^k)-shuffle (or, equivalently, of k successive riffle shuffles) of those cards. 
        The distance will be between 0 and 1: the greater the distance, the less random
        the orderings produced by the second process.
     -  Note:  this program requires the program "A[n, r]" be initialized.
RETURNED VALUES:
     -  v(k)
LOCATION:
     Folder:  Chapter 3
     File:       "ShuffleCalculations.Chpt3.mat"
;[s]
1:0,0;702,-1;
1:1,14,10,Helvetica,0,12,0,0,0;
:[font = input; initialization; preserveAspect]
*)
Clear[VariationDistance];
VariationDistance[n_, k_] :=
   (1/2) Sum[A[n, r]*Abs[(Binomial[2^k + n - r, n]/2^(n k)) - 
                          1/n!],
             {r, 1, n}]//N
(*
:[font = input; preserveAspect; startGroup]
VariationDistance[100,7]
:[font = output; output; inactive; preserveAspect; endGroup]
0.7473474645967676
;[o]
0.7473474645967676
:[font = text; inactive; preserveAspect]
PROGRAM:  VariationList
CALLING SEQUENCE:  VariationList[n, m]
PARAMETERS:
     n, m - integers
SYNOPSIS:
     -  For k = 1 to m, this program calculates and displays the variation distance, v(k),
        between a process which produces random orderings of n cards,  and the
        process consisting of one (2^k)-shuffle of those cards.  It also provides a plot of
        the points (k, v(k)) for k = 1 to m.  The number n represents the number of cards
        in the deck.
    -  Note:  this program requires the program "VariationDistance[n, k]" be initialized.
RETURNED VALUES:
     -  a list whose i'th element is {i, v(i)}
LOCATION:
     Folder:  Chapter 3
     File:       "ShuffleCalculations.Chpt3.mat"
;[s]
3:0,0;609,1;611,0;716,-1;
2:2,14,10,Helvetica,0,12,0,0,0;1,22,14,Helvetica,32,12,0,0,0;
:[font = input; initialization; preserveAspect]
*)
Clear[VariationList];
VariationList[n_, m_] := 
Block[{vlist = {}},
      Print["k               VariationDistance"];
      Print["         "];
      For[k = 1, k <= m, k++,
          vlist = Append[vlist, 
                   {k, N[VariationDistance[n, k], 10]}
                        ];
          Print[TableForm[{vlist[[k]]},
                          TableSpacing -> {0,15}
                         ]
               ]
         ];
      ListPlot[vlist];
      Return[vlist]
     ]
(*
:[font = input; preserveAspect; startGroup]
VariationList[52,20]
:[font = print; inactive; preserveAspect]
k               VariationDistance
         
1               1.
2               1.
3               1.
4               0.9999995334
5               0.9237329294
6               0.6135495966
7               0.3340609995
8               0.1671586419
9               0.08542019341
10               0.04294554892
11               0.02150237595
12               0.0107548935
13               0.005377910105
14               0.002689012977
15               0.001344513729
16               0.0006722577698
17               0.000336128998
18               0.0001680645132
19               0.00008403225835
20               0.0000420161294
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174]
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.047619 0.0147151 0.588604 [
[(5)] .2619 .01472 0 2 Msboxa
[(10)] .5 .01472 0 2 Msboxa
[(15)] .7381 .01472 0 2 Msboxa
[(20)] .97619 .01472 0 2 Msboxa
[(0.2)] .01131 .13244 1 0 Msboxa
[(0.4)] .01131 .25016 1 0 Msboxa
[(0.6)] .01131 .36788 1 0 Msboxa
[(0.8)] .01131 .4856 1 0 Msboxa
[(1)] .01131 .60332 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
0 g
p
p
.002 w
.2619 .01472 m
.2619 .02097 L
s
P
[(5)] .2619 .01472 0 2 Mshowa
p
.002 w
.5 .01472 m
.5 .02097 L
s
P
[(10)] .5 .01472 0 2 Mshowa
p
.002 w
.7381 .01472 m
.7381 .02097 L
s
P
[(15)] .7381 .01472 0 2 Mshowa
p
.002 w
.97619 .01472 m
.97619 .02097 L
s
P
[(20)] .97619 .01472 0 2 Mshowa
p
.001 w
.07143 .01472 m
.07143 .01847 L
s
P
p
.001 w
.11905 .01472 m
.11905 .01847 L
s
P
p
.001 w
.16667 .01472 m
.16667 .01847 L
s
P
p
.001 w
.21429 .01472 m
.21429 .01847 L
s
P
p
.001 w
.30952 .01472 m
.30952 .01847 L
s
P
p
.001 w
.35714 .01472 m
.35714 .01847 L
s
P
p
.001 w
.40476 .01472 m
.40476 .01847 L
s
P
p
.001 w
.45238 .01472 m
.45238 .01847 L
s
P
p
.001 w
.54762 .01472 m
.54762 .01847 L
s
P
p
.001 w
.59524 .01472 m
.59524 .01847 L
s
P
p
.001 w
.64286 .01472 m
.64286 .01847 L
s
P
p
.001 w
.69048 .01472 m
.69048 .01847 L
s
P
p
.001 w
.78571 .01472 m
.78571 .01847 L
s
P
p
.001 w
.83333 .01472 m
.83333 .01847 L
s
P
p
.001 w
.88095 .01472 m
.88095 .01847 L
s
P
p
.001 w
.92857 .01472 m
.92857 .01847 L
s
P
p
.002 w
0 .01472 m
1 .01472 L
s
P
p
.002 w
.02381 .13244 m
.03006 .13244 L
s
P
[(0.2)] .01131 .13244 1 0 Mshowa
p
.002 w
.02381 .25016 m
.03006 .25016 L
s
P
[(0.4)] .01131 .25016 1 0 Mshowa
p
.002 w
.02381 .36788 m
.03006 .36788 L
s
P
[(0.6)] .01131 .36788 1 0 Mshowa
p
.002 w
.02381 .4856 m
.03006 .4856 L
s
P
[(0.8)] .01131 .4856 1 0 Mshowa
p
.002 w
.02381 .60332 m
.03006 .60332 L
s
P
[(1)] .01131 .60332 1 0 Mshowa
p
.001 w
.02381 .03826 m
.02756 .03826 L
s
P
p
.001 w
.02381 .0618 m
.02756 .0618 L
s
P
p
.001 w
.02381 .08535 m
.02756 .08535 L
s
P
p
.001 w
.02381 .10889 m
.02756 .10889 L
s
P
p
.001 w
.02381 .15598 m
.02756 .15598 L
s
P
p
.001 w
.02381 .17952 m
.02756 .17952 L
s
P
p
.001 w
.02381 .20307 m
.02756 .20307 L
s
P
p
.001 w
.02381 .22661 m
.02756 .22661 L
s
P
p
.001 w
.02381 .2737 m
.02756 .2737 L
s
P
p
.001 w
.02381 .29724 m
.02756 .29724 L
s
P
p
.001 w
.02381 .32079 m
.02756 .32079 L
s
P
p
.001 w
.02381 .34433 m
.02756 .34433 L
s
P
p
.001 w
.02381 .39142 m
.02756 .39142 L
s
P
p
.001 w
.02381 .41497 m
.02756 .41497 L
s
P
p
.001 w
.02381 .43851 m
.02756 .43851 L
s
P
p
.001 w
.02381 .46205 m
.02756 .46205 L
s
P
p
.001 w
.02381 .50914 m
.02756 .50914 L
s
P
p
.001 w
.02381 .53269 m
.02756 .53269 L
s
P
p
.001 w
.02381 .55623 m
.02756 .55623 L
s
P
p
.001 w
.02381 .57977 m
.02756 .57977 L
s
P
p
.002 w
.02381 0 m
.02381 .61803 L
s
P
P
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
p
.008 w
.07143 .60332 Mdot
.11905 .60332 Mdot
.16667 .60332 Mdot
.21429 .60332 Mdot
.2619 .55843 Mdot
.30952 .37585 Mdot
.35714 .21134 Mdot
.40476 .11311 Mdot
.45238 .06499 Mdot
.5 .03999 Mdot
.54762 .02737 Mdot
.59524 .02105 Mdot
.64286 .01788 Mdot
.69048 .0163 Mdot
.7381 .01551 Mdot
.78571 .01511 Mdot
.83333 .01491 Mdot
.88095 .01481 Mdot
.92857 .01476 Mdot
.97619 .01474 Mdot
P
% End of Graphics
MathPictureEnd

:[font = output; output; inactive; preserveAspect; endGroup]
{{1, 1.}, {2, 1.}, {3, 1.}, {4, 0.999999533431375}, 
 
  {5, 0.923732929396294}, {6, 0.6135495965656285}, 
 
  {7, 0.3340609994681515}, {8, 0.1671586419269574}, 
 
  {9, 0.0854201934090618}, {10, 0.04294554892103503}, 
 
  {11, 0.02150237594923543}, {12, 0.01075489349566995}, 
 
  {13, 0.005377910104869558}, {14, 0.002689012977281273}, 
 
  {15, 0.001344513729409496}, {16, 0.0006722577698059508}, 
 
  {17, 0.000336128998040785}, {18, 0.0001680645131626236}, 
 
  {19, 0.0000840322583490909}, {20, 0.00004201612939551783}}
;[o]
{{1, 1.}, {2, 1.}, {3, 1.}, {4, 0.9999995334}, {5, 0.9237329294}, 
 
  {6, 0.6135495966}, {7, 0.3340609995}, {8, 0.1671586419}, 
 
  {9, 0.08542019341}, {10, 0.04294554892}, {11, 0.02150237595}, 
 
  {12, 0.0107548935}, {13, 0.005377910105}, {14, 0.002689012977}, 
 
  {15, 0.001344513729}, {16, 0.0006722577698}, 
 
  {17, 0.000336128998}, {18, 0.0001680645132}, 
 
  {19, 0.00008403225835}, {20, 0.0000420161294}}
^*)
