(*^
::[	Information =

	"This is a Mathematica Notebook file.  It contains ASCII text, and can be
	transferred by email, ftp, or other text-file transfer utility.  It should
	be read or edited using a copy of Mathematica or MathReader.  If you 
	received this as email, use your mail application or copy/paste to save 
	everything from the line containing (*^ down to the line containing ^*)
	into a plain text file.  On some systems you may have to give the file a 
	name ending with ".ma" to allow Mathematica to recognize it as a Notebook.
	The line below identifies what version of Mathematica created this file,
	but it can be opened using any other version as well.";

	FrontEndVersion = "Macintosh Mathematica Notebook Front End Version 2.2";

	MacintoshStandardFontEncoding; 
	
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, "Times"; 
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, "Times"; 
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, "Times"; 
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, "Times"; 
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, "Times"; 
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, "Times"; 
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L-5,  12, "Courier"; 
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; 
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, R65535, L-5,  12, "Courier"; 
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; 
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, B65535, L-5,  12, "Courier"; 
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, "Courier"; 
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  10, "Geneva"; 
	fontset = header, inactive, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = leftheader, inactive, L2,  12, "Times"; 
	fontset = footer, inactive, noKeepOnOnePage, preserveAspect, center, M7,  12, "Times"; 
	fontset = leftfooter, inactive, L2,  12, "Times"; 
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	paletteColors = 128; automaticGrouping; currentKernel; 
]
:[font = text; inactive; preserveAspect]
PROGRAM:  GeometricPlot
CALLING SEQUENCE:  GeometricPlot[p, nmax]
PARAMETERS:
     p - a real number
     nmax - an integer
SYNOPSIS:
     -  This program uses the program Spikegraph to graph  the geometric distribution
        function with p = p, for n = 1 to nmax.
     -  Note:  this program requires the program "Spikegraph[distributionlist, xmin,
        xmax, print]" be initialized.
RETURNED VALUES:
     -  none
LOCATION:
     Folder:  Chapter 5
     File:       "GeometricPlot.Chpt5.mat"
;[s]
1:0,0;498,-1;
1:1,14,10,Helvetica,0,12,0,0,0;
:[font = input; initialization; preserveAspect]
*)
Clear[GeometricPlot];
GeometricPlot[p_, nmax_] :=
  Spikegraph[Table[{i,p*((1-p)^(i-1))}, {i, 1, nmax}],
             0, nmax, True]
(*
:[font = input; preserveAspect; startGroup]
GeometricPlot[.3, 20];
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 173; endGroup]
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0.0263158 0.0501253 0.0147151 1.96201 [
[(2.5)] .099 0 0 2 Msboxa
[(5)] .22431 0 0 2 Msboxa
[(7.5)] .34962 0 0 2 Msboxa
[(10)] .47494 0 0 2 Msboxa
[(12.5)] .60025 0 0 2 Msboxa
[(15)] .72556 0 0 2 Msboxa
[(17.5)] .85088 0 0 2 Msboxa
[(20)] .97619 0 0 2 Msboxa
[(0)] -0.0125 .01472 1 0 Msboxa
[(0.05)] -0.0125 .11282 1 0 Msboxa
[(0.1)] -0.0125 .21092 1 0 Msboxa
[(0.15)] -0.0125 .30902 1 0 Msboxa
[(0.2)] -0.0125 .40712 1 0 Msboxa
[(0.25)] -0.0125 .50522 1 0 Msboxa
[(0.3)] -0.0125 .60332 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
0 g
p
p
.002 w
.099 0 m
.099 .00625 L
s
P
[(2.5)] .099 0 0 2 Mshowa
p
.002 w
.22431 0 m
.22431 .00625 L
s
P
[(5)] .22431 0 0 2 Mshowa
p
.002 w
.34962 0 m
.34962 .00625 L
s
P
[(7.5)] .34962 0 0 2 Mshowa
p
.002 w
.47494 0 m
.47494 .00625 L
s
P
[(10)] .47494 0 0 2 Mshowa
p
.002 w
.60025 0 m
.60025 .00625 L
s
P
[(12.5)] .60025 0 0 2 Mshowa
p
.002 w
.72556 0 m
.72556 .00625 L
s
P
[(15)] .72556 0 0 2 Mshowa
p
.002 w
.85088 0 m
.85088 .00625 L
s
P
[(17.5)] .85088 0 0 2 Mshowa
p
.002 w
.97619 0 m
.97619 .00625 L
s
P
[(20)] .97619 0 0 2 Mshowa
p
.001 w
.12406 0 m
.12406 .00375 L
s
P
p
.001 w
.14912 0 m
.14912 .00375 L
s
P
p
.001 w
.17419 0 m
.17419 .00375 L
s
P
p
.001 w
.19925 0 m
.19925 .00375 L
s
P
p
.001 w
.24937 0 m
.24937 .00375 L
s
P
p
.001 w
.27444 0 m
.27444 .00375 L
s
P
p
.001 w
.2995 0 m
.2995 .00375 L
s
P
p
.001 w
.32456 0 m
.32456 .00375 L
s
P
p
.001 w
.37469 0 m
.37469 .00375 L
s
P
p
.001 w
.39975 0 m
.39975 .00375 L
s
P
p
.001 w
.42481 0 m
.42481 .00375 L
s
P
p
.001 w
.44987 0 m
.44987 .00375 L
s
P
p
.001 w
.5 0 m
.5 .00375 L
s
P
p
.001 w
.52506 0 m
.52506 .00375 L
s
P
p
.001 w
.55013 0 m
.55013 .00375 L
s
P
p
.001 w
.57519 0 m
.57519 .00375 L
s
P
p
.001 w
.62531 0 m
.62531 .00375 L
s
P
p
.001 w
.65038 0 m
.65038 .00375 L
s
P
p
.001 w
.67544 0 m
.67544 .00375 L
s
P
p
.001 w
.7005 0 m
.7005 .00375 L
s
P
p
.001 w
.75063 0 m
.75063 .00375 L
s
P
p
.001 w
.77569 0 m
.77569 .00375 L
s
P
p
.001 w
.80075 0 m
.80075 .00375 L
s
P
p
.001 w
.82581 0 m
.82581 .00375 L
s
P
p
.001 w
.87594 0 m
.87594 .00375 L
s
P
p
.001 w
.901 0 m
.901 .00375 L
s
P
p
.001 w
.92607 0 m
.92607 .00375 L
s
P
p
.001 w
.95113 0 m
.95113 .00375 L
s
P
p
.001 w
.07393 0 m
.07393 .00375 L
s
P
p
.001 w
.04887 0 m
.04887 .00375 L
s
P
p
.001 w
.02381 0 m
.02381 .00375 L
s
P
p
.002 w
0 0 m
1 0 L
s
P
p
.002 w
0 .01472 m
.00625 .01472 L
s
P
[(0)] -0.0125 .01472 1 0 Mshowa
p
.002 w
0 .11282 m
.00625 .11282 L
s
P
[(0.05)] -0.0125 .11282 1 0 Mshowa
p
.002 w
0 .21092 m
.00625 .21092 L
s
P
[(0.1)] -0.0125 .21092 1 0 Mshowa
p
.002 w
0 .30902 m
.00625 .30902 L
s
P
[(0.15)] -0.0125 .30902 1 0 Mshowa
p
.002 w
0 .40712 m
.00625 .40712 L
s
P
[(0.2)] -0.0125 .40712 1 0 Mshowa
p
.002 w
0 .50522 m
.00625 .50522 L
s
P
[(0.25)] -0.0125 .50522 1 0 Mshowa
p
.002 w
0 .60332 m
.00625 .60332 L
s
P
[(0.3)] -0.0125 .60332 1 0 Mshowa
p
.001 w
0 .03434 m
.00375 .03434 L
s
P
p
.001 w
0 .05396 m
.00375 .05396 L
s
P
p
.001 w
0 .07358 m
.00375 .07358 L
s
P
p
.001 w
0 .0932 m
.00375 .0932 L
s
P
p
.001 w
0 .13244 m
.00375 .13244 L
s
P
p
.001 w
0 .15206 m
.00375 .15206 L
s
P
p
.001 w
0 .17168 m
.00375 .17168 L
s
P
p
.001 w
0 .1913 m
.00375 .1913 L
s
P
p
.001 w
0 .23054 m
.00375 .23054 L
s
P
p
.001 w
0 .25016 m
.00375 .25016 L
s
P
p
.001 w
0 .26978 m
.00375 .26978 L
s
P
p
.001 w
0 .2894 m
.00375 .2894 L
s
P
p
.001 w
0 .32864 m
.00375 .32864 L
s
P
p
.001 w
0 .34826 m
.00375 .34826 L
s
P
p
.001 w
0 .36788 m
.00375 .36788 L
s
P
p
.001 w
0 .3875 m
.00375 .3875 L
s
P
p
.001 w
0 .42674 m
.00375 .42674 L
s
P
p
.001 w
0 .44636 m
.00375 .44636 L
s
P
p
.001 w
0 .46598 m
.00375 .46598 L
s
P
p
.001 w
0 .4856 m
.00375 .4856 L
s
P
p
.001 w
0 .52484 m
.00375 .52484 L
s
P
p
.001 w
0 .54446 m
.00375 .54446 L
s
P
p
.001 w
0 .56408 m
.00375 .56408 L
s
P
p
.001 w
0 .5837 m
.00375 .5837 L
s
P
p
.002 w
0 0 m
0 .61803 L
s
P
P
p
p
.002 w
.099 .61178 m
.099 .61803 L
s
P
p
.002 w
.22431 .61178 m
.22431 .61803 L
s
P
p
.002 w
.34962 .61178 m
.34962 .61803 L
s
P
p
.002 w
.47494 .61178 m
.47494 .61803 L
s
P
p
.002 w
.60025 .61178 m
.60025 .61803 L
s
P
p
.002 w
.72556 .61178 m
.72556 .61803 L
s
P
p
.002 w
.85088 .61178 m
.85088 .61803 L
s
P
p
.002 w
.97619 .61178 m
.97619 .61803 L
s
P
p
.001 w
.12406 .61428 m
.12406 .61803 L
s
P
p
.001 w
.14912 .61428 m
.14912 .61803 L
s
P
p
.001 w
.17419 .61428 m
.17419 .61803 L
s
P
p
.001 w
.19925 .61428 m
.19925 .61803 L
s
P
p
.001 w
.24937 .61428 m
.24937 .61803 L
s
P
p
.001 w
.27444 .61428 m
.27444 .61803 L
s
P
p
.001 w
.2995 .61428 m
.2995 .61803 L
s
P
p
.001 w
.32456 .61428 m
.32456 .61803 L
s
P
p
.001 w
.37469 .61428 m
.37469 .61803 L
s
P
p
.001 w
.39975 .61428 m
.39975 .61803 L
s
P
p
.001 w
.42481 .61428 m
.42481 .61803 L
s
P
p
.001 w
.44987 .61428 m
.44987 .61803 L
s
P
p
.001 w
.5 .61428 m
.5 .61803 L
s
P
p
.001 w
.52506 .61428 m
.52506 .61803 L
s
P
p
.001 w
.55013 .61428 m
.55013 .61803 L
s
P
p
.001 w
.57519 .61428 m
.57519 .61803 L
s
P
p
.001 w
.62531 .61428 m
.62531 .61803 L
s
P
p
.001 w
.65038 .61428 m
.65038 .61803 L
s
P
p
.001 w
.67544 .61428 m
.67544 .61803 L
s
P
p
.001 w
.7005 .61428 m
.7005 .61803 L
s
P
p
.001 w
.75063 .61428 m
.75063 .61803 L
s
P
p
.001 w
.77569 .61428 m
.77569 .61803 L
s
P
p
.001 w
.80075 .61428 m
.80075 .61803 L
s
P
p
.001 w
.82581 .61428 m
.82581 .61803 L
s
P
p
.001 w
.87594 .61428 m
.87594 .61803 L
s
P
p
.001 w
.901 .61428 m
.901 .61803 L
s
P
p
.001 w
.92607 .61428 m
.92607 .61803 L
s
P
p
.001 w
.95113 .61428 m
.95113 .61803 L
s
P
p
.001 w
.07393 .61428 m
.07393 .61803 L
s
P
p
.001 w
.04887 .61428 m
.04887 .61803 L
s
P
p
.001 w
.02381 .61428 m
.02381 .61803 L
s
P
p
.002 w
0 .61803 m
1 .61803 L
s
P
p
.002 w
.99375 .01472 m
1 .01472 L
s
P
p
.002 w
.99375 .11282 m
1 .11282 L
s
P
p
.002 w
.99375 .21092 m
1 .21092 L
s
P
p
.002 w
.99375 .30902 m
1 .30902 L
s
P
p
.002 w
.99375 .40712 m
1 .40712 L
s
P
p
.002 w
.99375 .50522 m
1 .50522 L
s
P
p
.002 w
.99375 .60332 m
1 .60332 L
s
P
p
.001 w
.99625 .03434 m
1 .03434 L
s
P
p
.001 w
.99625 .05396 m
1 .05396 L
s
P
p
.001 w
.99625 .07358 m
1 .07358 L
s
P
p
.001 w
.99625 .0932 m
1 .0932 L
s
P
p
.001 w
.99625 .13244 m
1 .13244 L
s
P
p
.001 w
.99625 .15206 m
1 .15206 L
s
P
p
.001 w
.99625 .17168 m
1 .17168 L
s
P
p
.001 w
.99625 .1913 m
1 .1913 L
s
P
p
.001 w
.99625 .23054 m
1 .23054 L
s
P
p
.001 w
.99625 .25016 m
1 .25016 L
s
P
p
.001 w
.99625 .26978 m
1 .26978 L
s
P
p
.001 w
.99625 .2894 m
1 .2894 L
s
P
p
.001 w
.99625 .32864 m
1 .32864 L
s
P
p
.001 w
.99625 .34826 m
1 .34826 L
s
P
p
.001 w
.99625 .36788 m
1 .36788 L
s
P
p
.001 w
.99625 .3875 m
1 .3875 L
s
P
p
.001 w
.99625 .42674 m
1 .42674 L
s
P
p
.001 w
.99625 .44636 m
1 .44636 L
s
P
p
.001 w
.99625 .46598 m
1 .46598 L
s
P
p
.001 w
.99625 .4856 m
1 .4856 L
s
P
p
.001 w
.99625 .52484 m
1 .52484 L
s
P
p
.001 w
.99625 .54446 m
1 .54446 L
s
P
p
.001 w
.99625 .56408 m
1 .56408 L
s
P
p
.001 w
.99625 .5837 m
1 .5837 L
s
P
p
.002 w
1 0 m
1 .61803 L
s
P
P
p
P
p
.004 w
.02381 .60332 m
.02381 .01472 L
s
.07393 .42674 m
.07393 .01472 L
s
.12406 .30313 m
.12406 .01472 L
s
.17419 .21661 m
.17419 .01472 L
s
.22431 .15604 m
.22431 .01472 L
s
.27444 .11364 m
.27444 .01472 L
s
.32456 .08396 m
.32456 .01472 L
s
.37469 .06319 m
.37469 .01472 L
s
.42481 .04865 m
.42481 .01472 L
s
.47494 .03847 m
.47494 .01472 L
s
.52506 .03134 m
.52506 .01472 L
s
.57519 .02635 m
.57519 .01472 L
s
.62531 .02286 m
.62531 .01472 L
s
.67544 .02042 m
.67544 .01472 L
s
.72556 .01871 m
.72556 .01472 L
s
.77569 .01751 m
.77569 .01472 L
s
.82581 .01667 m
.82581 .01472 L
s
.87594 .01608 m
.87594 .01472 L
s
.92607 .01567 m
.92607 .01472 L
s
.97619 .01539 m
.97619 .01472 L
s
P
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd

^*)
