(*^
::[	Information =

	"This is a Mathematica Notebook file.  It contains ASCII text, and can be
	transferred by email, ftp, or other text-file transfer utility.  It should
	be read or edited using a copy of Mathematica or MathReader.  If you 
	received this as email, use your mail application or copy/paste to save 
	everything from the line containing (*^ down to the line containing ^*)
	into a plain text file.  On some systems you may have to give the file a 
	name ending with ".ma" to allow Mathematica to recognize it as a Notebook.
	The line below identifies what version of Mathematica created this file,
	but it can be opened using any other version as well.";

	FrontEndVersion = "Macintosh Mathematica Notebook Front End Version 2.2";

	MacintoshStandardFontEncoding; 
	
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, "Times"; 
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, "Times"; 
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, "Times"; 
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, "Times"; 
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, "Times"; 
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, "Times"; 
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L-5,  12, "Courier"; 
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; 
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, R65535, L-5,  12, "Courier"; 
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; 
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, B65535, L-5,  12, "Courier"; 
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, "Courier"; 
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  10, "Geneva"; 
	fontset = header, inactive, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = leftheader, inactive, L2,  12, "Times"; 
	fontset = footer, inactive, noKeepOnOnePage, preserveAspect, center, M7,  12, "Times"; 
	fontset = leftfooter, inactive, L2,  12, "Times"; 
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	paletteColors = 128; automaticGrouping; currentKernel; 
]
:[font = text; inactive; preserveAspect]
The procedures listed in this file are in the file ImportantPrograms.  Their descriptions
are given below as a convenience.  Examples in their use are also given.

;[s]
2:0,1;162,0;164,-1;
2:1,13,9,Times,0,12,0,0,0;1,14,10,Helvetica,0,12,0,0,0;
:[font = text; inactive; preserveAspect]
PROGRAM:  ConsolidateList
CALLING SEQUENCE:  ConsolidateList[inputlist]
PARAMETERS:
     inputlist - a list of ordered pairs of real numbers
SYNOPSIS:
     -  This program takes as its input a list of ordered pairs, which is assumed to be
        sorted in lexicographic order, and produces a list of ordered pairs in which each
        pair's second element is the sum of all second elements of inputlist ordered pairs
        with the same first coordinate.
    -  Example:  ConsolidateList[{{1,1}, {1,5}, {2,3}, {5,6}, {5,2}}] = {{1,6}, {2,3}, {5,8}} .
RETURNED VALUES:
     -  the list described above
LOCATION:
     File:       "Importantprograms"
;[s]
1:0,0;653,-1;
1:1,14,10,Helvetica,0,12,0,0,0;
:[font = text; inactive; preserveAspect]
PROGRAM:  Convolution
CALLING SEQUENCE:  Convolution[distributionlist1, distributionlist2]
PARAMETERS:
     distributionlist1, distributionlist2 - distribution lists
SYNOPSIS:
     -  This program returns the convolution of the two discrete distributions given in
        distributionlist1 and distributionlist2.
     -  Note:  this program requires the program "ConsolidateList[inputlist]" be
        initialized.
RETURNED VALUES:
     -  the convolution of the two distributions in distributionlist1 and distributionlist2
LOCATION:
     File:      "ImportantPrograms"
;[s]
1:0,1;570,-1;
2:0,13,9,Times,0,12,0,0,0;1,14,10,Helvetica,0,12,0,0,0;
:[font = text; inactive; preserveAspect; fontName = "Helvetica"]
The following commands are examples of how the above procedure is used.
:[font = input; preserveAspect; startGroup]
distlist = {{-2, .25}, {0, .125}, {1, .625}}
:[font = output; output; inactive; preserveAspect; endGroup]
{{-2, 0.25}, {0, 0.125}, {1, 0.625}}
;[o]
{{-2, 0.25}, {0, 0.125}, {1, 0.625}}
:[font = input; preserveAspect; startGroup]
Convolution[distlist, distlist]
:[font = output; output; inactive; preserveAspect; endGroup]
{{-4, 0.0625}, {-2, 0.0625}, {-1, 0.3125}, {0, 0.015625}, 
 
  {1, 0.15625}, {2, 0.390625}}
;[o]
{{-4, 0.0625}, {-2, 0.0625}, {-1, 0.3125}, {0, 0.015625}, 
 
  {1, 0.15625}, {2, 0.390625}}
:[font = text; inactive; preserveAspect]
PROGRAM:  NFoldConvolution
CALLING SEQUENCE:  NFoldConvolution[distributionlist, n]
PARAMETERS:
     distributionlist - a distribution list
SYNOPSIS:
     -  This program returns the n-fold convolution distribution of the distribution given
        in distributionlist.
     -  Note:  this program requires the program "Convolution[distributionlist1,
        distributionlist2]" be initialized.
RETURNED VALUES:
     -  the n-fold convolution of the distribution in distributionlist with itself
LOCATION:
     File:      "ImportantPrograms"
;[s]
1:0,1;541,-1;
2:0,13,9,Times,0,12,0,0,0;1,14,10,Helvetica,0,12,0,0,0;
:[font = text; inactive; preserveAspect]
The following commands are examples of how the above procedure is used.
;[s]
1:0,1;72,-1;
2:0,13,9,Times,0,12,0,0,0;1,14,10,Helvetica,0,12,0,0,0;
:[font = input; preserveAspect; startGroup]
NFoldConvolution[distlist, 3]
:[font = output; output; inactive; preserveAspect; endGroup]
{{-6, 0.015625}, {-4, 0.0234375}, {-3, 0.1171875}, 
 
  {-2, 0.01171875}, {-1, 0.1171875}, {0, 0.294921875}, 
 
  {1, 0.029296875}, {2, 0.146484375}, {3, 0.244140625}}
;[o]
{{-6, 0.015625}, {-4, 0.0234375}, {-3, 0.117188}, 
 
  {-2, 0.0117188}, {-1, 0.117188}, {0, 0.294922}, 
 
  {1, 0.0292969}, {2, 0.146484}, {3, 0.244141}}
^*)
