(*^

::[	frontEndVersion = "Macintosh Mathematica Notebook Front End Version 2.1";
	macintoshStandardFontEncoding; 
	paletteColors = 128; automaticGrouping; currentKernel; 
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; ;
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L-5,  12, "Courier"; ;
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, R65535, L-5,  12, "Courier"; ;
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, B65535, L-5,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, "Courier"; ;
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  10, "Geneva"; ;
	fontset = header, inactive, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
	fontset = leftheader, inactive, L2,  12, "Times"; ;
	fontset = footer, inactive, noKeepOnOnePage, preserveAspect, center, M7,  12, "Times"; ;
	fontset = leftfooter, inactive, L2,  12, "Times"; ;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; ;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; ;
]
:[font = text; inactive; preserveAspect; ]
PROGRAM:  CLTIndTrialsGlobal
CALLING SEQUENCE:  CLTIndTrialsGlobal[n, distributionlist, kmin, kmax, half]
PARAMETERS:
     n, kmin, kmax - integers
     distributionlist - a distribution list
     half - a Boolean variable (True or False)
SYNOPSIS:
    -  This program uses the normal approximation to approximate the probability that
       S_n, a sum of n independent trials with common distribution given in
       distributionlist, lies in [kmin, kmax].  If half = True, the program includes the 1/2
       correction; otherwise, it doesn't.
    -  Note:  this program requires the programs "DiscreteMean[distributionlist]",
       "DiscreteVariance[distributionlist]", and "NormalArea[a, b]" be initialized.
RETURNED VALUES:
     -  the approximated probability that S_n lies in [kmin, kmax]
LOCATION:
     Folder:  Chapter 9
     File:       "CLTIndTrialsGlobal.Chpt9.mat"
;[s]
1:0,0;879,-1;
1:1,14,10,Helvetica,0,12,0,0,0;
:[font = input; initialization; preserveAspect; ]
*)
Clear[CLTIndTrialsGlobal];
CLTIndTrialsGlobal[n_, distributionlist_, kmin_, kmax_, 
                   half_] :=
Block[{mu, sigma2, min, max, Answer},
      mu = DiscreteMean[distributionlist];
      sigma2 = DiscreteVariance[distributionlist];
      min = (kmin - n * mu)/Sqrt[n * sigma2];
      max = (kmax - n * mu)/Sqrt[n * sigma2];
      If[half == False,
         Answer = NormalArea[min, max],
         Answer = NormalArea[min - (.5/Sqrt[n * sigma2]),
                             max + (.5/Sqrt[n * sigma2])
                            ]
        ];
      Return[Answer]   
     ]
(*
:[font = input; preserveAspect; startGroup; ]
distlist = Table[{i, .166667}, {i, 1, 6}]
:[font = output; output; inactive; preserveAspect; endGroup; ]
{{1, 0.166667}, {2, 0.166667}, {3, 0.166667}, 
  {4, 0.166667}, {5, 0.166667}, {6, 0.166667}}
;[o]
{{1, 0.166667}, {2, 0.166667}, {3, 0.166667}, 
 
  {4, 0.166667}, {5, 0.166667}, {6, 0.166667}}
:[font = input; preserveAspect; startGroup; ]
CLTIndTrialsGlobal[16, distlist, 42, 70, True]
:[font = output; output; inactive; preserveAspect; endGroup; ]
0.966210982566674
;[o]
0.966211
:[font = input; preserveAspect; startGroup; ]
CLTIndTrialsGlobal[16, distlist, 35, 77, True]
:[font = output; output; inactive; preserveAspect; endGroup; ]
0.998351998812903
;[o]
0.998352
^*)