(*^
::[	Information =

	"This is a Mathematica Notebook file.  It contains ASCII text, and can be
	transferred by email, ftp, or other text-file transfer utility.  It should
	be read or edited using a copy of Mathematica or MathReader.  If you 
	received this as email, use your mail application or copy/paste to save 
	everything from the line containing (*^ down to the line containing ^*)
	into a plain text file.  On some systems you may have to give the file a 
	name ending with ".ma" to allow Mathematica to recognize it as a Notebook.
	The line below identifies what version of Mathematica created this file,
	but it can be opened using any other version as well.";

	FrontEndVersion = "Macintosh Mathematica Notebook Front End Version 2.2";

	MacintoshStandardFontEncoding; 
	
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, "Times"; 
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, "Times"; 
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, "Times"; 
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, "Times"; 
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, "Times"; 
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, "Times"; 
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L-5,  12, "Courier"; 
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; 
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, R65535, L-5,  12, "Courier"; 
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; 
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, B65535, L-5,  12, "Courier"; 
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, "Courier"; 
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  10, "Geneva"; 
	fontset = header, inactive, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = leftheader, inactive, L2,  12, "Times"; 
	fontset = footer, inactive, noKeepOnOnePage, preserveAspect, center, M7,  12, "Times"; 
	fontset = leftfooter, inactive, L2,  12, "Times"; 
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	paletteColors = 128; automaticGrouping; currentKernel; 
]
:[font = text; inactive; preserveAspect]
PROGRAM:  CLTIndTrialsPlot
CALLING SEQUENCE:  CLTIndTrialsPlot[n, distributionlist]
PARAMETERS:
     n - an integer
     distributionlist - a distribution list
SYNOPSIS:
     -  This program displays the standard normal distribution curve, and a scaled
        spike graph of the standardizations of the probabilities P(S_n = j), where S_n is
        a sum of n independent variables with common distribution given in
        distributionlist.  The program displays these two graphs on the interval [-4, 4], on
        a single set of axes.
     -  Note:  this program requires the programs "DiscreteMean[distributionlist]",
        "DiscreteVariance[distributionlist]", "NFoldConvolution[distributionlist]" and
        "Spikegraph[distributionlist, xmin, xmax, print]" be initialized.  All of these are
        in the file ImportantPrograms except the third one; it is in the file
        DiscreteConvolution.Chpt7.mat.
RETURNED VALUES:
     -  none
LOCATION:
     Folder:  Chapter 9
     File:       "CLTIndTrialsPlot.Chpt9.mat"
;[s]
1:0,0;1031,-1;
1:1,14,10,Helvetica,0,12,0,0,0;
:[font = input; initialization; preserveAspect]
*)
Clear[CLTIndTrialsPlot];
CLTIndTrialsPlot[n_, distributionlist_] :=
Block[{mu, sigma2, data = {}, difflist = {}, g},
      mu = DiscreteMean[distributionlist];
      sigma2 = DiscreteVariance[distributionlist];
      data = NFoldConvolution[distributionlist, n];
      data = Sort[data];
      For[j = 2, j <= Length[data], j++,
          difflist = Append[difflist,
                            data[[j]][[1]] - data[[j - 1]][[1]]
                           ]
         ];
      g = Apply[GCD, difflist];
      data = Table[{(data[[i]][[1]] - (n * mu))/Sqrt[n * sigma2], 
                     data[[i]][[2]] * Sqrt[n * sigma2]/g}, 
                   {i, 1, Length[data]}];
      Show[Spikegraph[data, -4, 4, False],
           Plot[(1/Sqrt[2*Pi])*(E^((-x^2)/2)),
                {x, -4, 4}, DisplayFunction -> Identity
               ],
           DisplayFunction -> $DisplayFunction
          ]
     ]
(*
:[font = input; preserveAspect; startGroup]
distlist = {{0, .7}, {1, .3}}
:[font = output; output; inactive; preserveAspect; endGroup]
{{0, 0.7}, {1, 0.3}}
;[o]
{{0, 0.7}, {1, 0.3}}
:[font = input; preserveAspect; startGroup]
DiscreteMean[distlist]
:[font = output; output; inactive; preserveAspect; endGroup]
0.3
;[o]
0.3
:[font = input; preserveAspect; startGroup]
CLTIndTrialsPlot[3, distlist];
:[font = print; inactive; preserveAspect]
0.3
0.21
{{0, 0.343}, {1, 0.441}, {2, 0.189}, {3, 0.027}}
{{0, 0.343}, {1, 0.441}, {2, 0.189}, {3, 0.027}}
{1, 1, 1}
{1, 1, 1}
{{-1.13389, 0.272248}, {0.125988, 0.350033}, 
 
  {1.38587, 0.150014}, {2.64575, 0.0214306}}
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; endGroup]
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.119048 0.0147151 1.47541 [
[(-4)] .02381 0 0 2 Msboxa
[(-2)] .2619 0 0 2 Msboxa
[(0)] .5 0 0 2 Msboxa
[(2)] .7381 0 0 2 Msboxa
[(4)] .97619 0 0 2 Msboxa
[(0)] -0.0125 .01472 1 0 Msboxa
[(0.1)] -0.0125 .16226 1 0 Msboxa
[(0.2)] -0.0125 .3098 1 0 Msboxa
[(0.3)] -0.0125 .45734 1 0 Msboxa
[(0.4)] -0.0125 .60488 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
0 g
p
p
.002 w
.02381 0 m
.02381 .00625 L
s
P
[(-4)] .02381 0 0 2 Mshowa
p
.002 w
.2619 0 m
.2619 .00625 L
s
P
[(-2)] .2619 0 0 2 Mshowa
p
.002 w
.5 0 m
.5 .00625 L
s
P
[(0)] .5 0 0 2 Mshowa
p
.002 w
.7381 0 m
.7381 .00625 L
s
P
[(2)] .7381 0 0 2 Mshowa
p
.002 w
.97619 0 m
.97619 .00625 L
s
P
[(4)] .97619 0 0 2 Mshowa
p
.001 w
.07143 0 m
.07143 .00375 L
s
P
p
.001 w
.11905 0 m
.11905 .00375 L
s
P
p
.001 w
.16667 0 m
.16667 .00375 L
s
P
p
.001 w
.21429 0 m
.21429 .00375 L
s
P
p
.001 w
.30952 0 m
.30952 .00375 L
s
P
p
.001 w
.35714 0 m
.35714 .00375 L
s
P
p
.001 w
.40476 0 m
.40476 .00375 L
s
P
p
.001 w
.45238 0 m
.45238 .00375 L
s
P
p
.001 w
.54762 0 m
.54762 .00375 L
s
P
p
.001 w
.59524 0 m
.59524 .00375 L
s
P
p
.001 w
.64286 0 m
.64286 .00375 L
s
P
p
.001 w
.69048 0 m
.69048 .00375 L
s
P
p
.001 w
.78571 0 m
.78571 .00375 L
s
P
p
.001 w
.83333 0 m
.83333 .00375 L
s
P
p
.001 w
.88095 0 m
.88095 .00375 L
s
P
p
.001 w
.92857 0 m
.92857 .00375 L
s
P
p
.002 w
0 0 m
1 0 L
s
P
p
.002 w
0 .01472 m
.00625 .01472 L
s
P
[(0)] -0.0125 .01472 1 0 Mshowa
p
.002 w
0 .16226 m
.00625 .16226 L
s
P
[(0.1)] -0.0125 .16226 1 0 Mshowa
p
.002 w
0 .3098 m
.00625 .3098 L
s
P
[(0.2)] -0.0125 .3098 1 0 Mshowa
p
.002 w
0 .45734 m
.00625 .45734 L
s
P
[(0.3)] -0.0125 .45734 1 0 Mshowa
p
.002 w
0 .60488 m
.00625 .60488 L
s
P
[(0.4)] -0.0125 .60488 1 0 Mshowa
p
.001 w
0 .04422 m
.00375 .04422 L
s
P
p
.001 w
0 .07373 m
.00375 .07373 L
s
P
p
.001 w
0 .10324 m
.00375 .10324 L
s
P
p
.001 w
0 .13275 m
.00375 .13275 L
s
P
p
.001 w
0 .19176 m
.00375 .19176 L
s
P
p
.001 w
0 .22127 m
.00375 .22127 L
s
P
p
.001 w
0 .25078 m
.00375 .25078 L
s
P
p
.001 w
0 .28029 m
.00375 .28029 L
s
P
p
.001 w
0 .33931 m
.00375 .33931 L
s
P
p
.001 w
0 .36881 m
.00375 .36881 L
s
P
p
.001 w
0 .39832 m
.00375 .39832 L
s
P
p
.001 w
0 .42783 m
.00375 .42783 L
s
P
p
.001 w
0 .48685 m
.00375 .48685 L
s
P
p
.001 w
0 .51635 m
.00375 .51635 L
s
P
p
.001 w
0 .54586 m
.00375 .54586 L
s
P
p
.001 w
0 .57537 m
.00375 .57537 L
s
P
p
.002 w
0 0 m
0 .61803 L
s
P
P
p
p
.002 w
.02381 .61178 m
.02381 .61803 L
s
P
p
.002 w
.2619 .61178 m
.2619 .61803 L
s
P
p
.002 w
.5 .61178 m
.5 .61803 L
s
P
p
.002 w
.7381 .61178 m
.7381 .61803 L
s
P
p
.002 w
.97619 .61178 m
.97619 .61803 L
s
P
p
.001 w
.07143 .61428 m
.07143 .61803 L
s
P
p
.001 w
.11905 .61428 m
.11905 .61803 L
s
P
p
.001 w
.16667 .61428 m
.16667 .61803 L
s
P
p
.001 w
.21429 .61428 m
.21429 .61803 L
s
P
p
.001 w
.30952 .61428 m
.30952 .61803 L
s
P
p
.001 w
.35714 .61428 m
.35714 .61803 L
s
P
p
.001 w
.40476 .61428 m
.40476 .61803 L
s
P
p
.001 w
.45238 .61428 m
.45238 .61803 L
s
P
p
.001 w
.54762 .61428 m
.54762 .61803 L
s
P
p
.001 w
.59524 .61428 m
.59524 .61803 L
s
P
p
.001 w
.64286 .61428 m
.64286 .61803 L
s
P
p
.001 w
.69048 .61428 m
.69048 .61803 L
s
P
p
.001 w
.78571 .61428 m
.78571 .61803 L
s
P
p
.001 w
.83333 .61428 m
.83333 .61803 L
s
P
p
.001 w
.88095 .61428 m
.88095 .61803 L
s
P
p
.001 w
.92857 .61428 m
.92857 .61803 L
s
P
p
.002 w
0 .61803 m
1 .61803 L
s
P
p
.002 w
.99375 .01472 m
1 .01472 L
s
P
p
.002 w
.99375 .16226 m
1 .16226 L
s
P
p
.002 w
.99375 .3098 m
1 .3098 L
s
P
p
.002 w
.99375 .45734 m
1 .45734 L
s
P
p
.002 w
.99375 .60488 m
1 .60488 L
s
P
p
.001 w
.99625 .04422 m
1 .04422 L
s
P
p
.001 w
.99625 .07373 m
1 .07373 L
s
P
p
.001 w
.99625 .10324 m
1 .10324 L
s
P
p
.001 w
.99625 .13275 m
1 .13275 L
s
P
p
.001 w
.99625 .19176 m
1 .19176 L
s
P
p
.001 w
.99625 .22127 m
1 .22127 L
s
P
p
.001 w
.99625 .25078 m
1 .25078 L
s
P
p
.001 w
.99625 .28029 m
1 .28029 L
s
P
p
.001 w
.99625 .33931 m
1 .33931 L
s
P
p
.001 w
.99625 .36881 m
1 .36881 L
s
P
p
.001 w
.99625 .39832 m
1 .39832 L
s
P
p
.001 w
.99625 .42783 m
1 .42783 L
s
P
p
.001 w
.99625 .48685 m
1 .48685 L
s
P
p
.001 w
.99625 .51635 m
1 .51635 L
s
P
p
.001 w
.99625 .54586 m
1 .54586 L
s
P
p
.001 w
.99625 .57537 m
1 .57537 L
s
P
p
.002 w
1 0 m
1 .61803 L
s
P
P
p
P
p
p
.004 w
.36501 .41639 m
.36501 .01472 L
s
.515 .53116 m
.515 .01472 L
s
.66498 .23605 m
.66498 .01472 L
s
.81497 .04633 m
.81497 .01472 L
s
P
p
p
.004 w
.02381 .01491 m
.03373 .01499 L
.04365 .01509 L
.05357 .01524 L
.06349 .01542 L
.07341 .01567 L
.08333 .016 L
.09325 .01643 L
.10317 .01699 L
.1131 .01771 L
.12302 .01863 L
.13294 .01979 L
.14286 .02125 L
.1627 .02535 L
.17262 .02813 L
.18254 .03153 L
.20238 .04058 L
.22222 .0534 L
.24206 .07101 L
.2619 .09437 L
.28175 .12435 L
.30159 .16148 L
.34127 .2567 L
.38095 .37172 L
.42063 .48603 L
.44048 .53416 L
.4504 .55438 L
.46032 .57151 L
.47024 .58521 L
.4752 .59068 L
.48016 .5952 L
.48512 .59874 L
.4876 .60013 L
.49008 .60128 L
.49256 .60217 L
.4938 .60252 L
.49504 .60281 L
.49628 .60303 L
.49752 .60319 L
.49876 .60329 L
.5 .60332 L
.50124 .60329 L
.50248 .60319 L
.50372 .60303 L
.50496 .60281 L
.5062 .60252 L
.50744 .60217 L
.50992 .60128 L
.5124 .60013 L
.51488 .59874 L
Mistroke
.51984 .5952 L
.52976 .58521 L
.53968 .57151 L
.55952 .53416 L
.57937 .48603 L
.61905 .37172 L
.65873 .2567 L
.69841 .16148 L
.71825 .12435 L
.7381 .09437 L
.75794 .07101 L
.77778 .0534 L
.79762 .04058 L
.80754 .03564 L
.81746 .03153 L
.82738 .02813 L
.8373 .02535 L
.84722 .02308 L
.85714 .02125 L
.86706 .01979 L
.87698 .01863 L
.8869 .01771 L
.89683 .01699 L
.90675 .01643 L
.91667 .016 L
.92659 .01567 L
.93651 .01542 L
.94643 .01524 L
.95635 .01509 L
.96627 .01499 L
.97619 .01491 L
Mfstroke
P
P
P
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd

:[font = input; preserveAspect; startGroup]
distlist2 = {{1,.2},{2,.2},{3,.2},{4,.2},{5,.2}}
:[font = output; output; inactive; preserveAspect; endGroup]
{{1, 0.2}, {2, 0.2}, {3, 0.2}, {4, 0.2}, {5, 0.2}}
;[o]
{{1, 0.2}, {2, 0.2}, {3, 0.2}, {4, 0.2}, {5, 0.2}}
:[font = input; preserveAspect; startGroup]
CLTIndTrialsPlot[10, distlist2];
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; endGroup]
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.119048 0.0147151 1.47541 [
[(-4)] .02381 0 0 2 Msboxa
[(-2)] .2619 0 0 2 Msboxa
[(0)] .5 0 0 2 Msboxa
[(2)] .7381 0 0 2 Msboxa
[(4)] .97619 0 0 2 Msboxa
[(0)] -0.0125 .01472 1 0 Msboxa
[(0.1)] -0.0125 .16226 1 0 Msboxa
[(0.2)] -0.0125 .3098 1 0 Msboxa
[(0.3)] -0.0125 .45734 1 0 Msboxa
[(0.4)] -0.0125 .60488 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
0 g
p
p
.002 w
.02381 0 m
.02381 .00625 L
s
P
[(-4)] .02381 0 0 2 Mshowa
p
.002 w
.2619 0 m
.2619 .00625 L
s
P
[(-2)] .2619 0 0 2 Mshowa
p
.002 w
.5 0 m
.5 .00625 L
s
P
[(0)] .5 0 0 2 Mshowa
p
.002 w
.7381 0 m
.7381 .00625 L
s
P
[(2)] .7381 0 0 2 Mshowa
p
.002 w
.97619 0 m
.97619 .00625 L
s
P
[(4)] .97619 0 0 2 Mshowa
p
.001 w
.07143 0 m
.07143 .00375 L
s
P
p
.001 w
.11905 0 m
.11905 .00375 L
s
P
p
.001 w
.16667 0 m
.16667 .00375 L
s
P
p
.001 w
.21429 0 m
.21429 .00375 L
s
P
p
.001 w
.30952 0 m
.30952 .00375 L
s
P
p
.001 w
.35714 0 m
.35714 .00375 L
s
P
p
.001 w
.40476 0 m
.40476 .00375 L
s
P
p
.001 w
.45238 0 m
.45238 .00375 L
s
P
p
.001 w
.54762 0 m
.54762 .00375 L
s
P
p
.001 w
.59524 0 m
.59524 .00375 L
s
P
p
.001 w
.64286 0 m
.64286 .00375 L
s
P
p
.001 w
.69048 0 m
.69048 .00375 L
s
P
p
.001 w
.78571 0 m
.78571 .00375 L
s
P
p
.001 w
.83333 0 m
.83333 .00375 L
s
P
p
.001 w
.88095 0 m
.88095 .00375 L
s
P
p
.001 w
.92857 0 m
.92857 .00375 L
s
P
p
.002 w
0 0 m
1 0 L
s
P
p
.002 w
0 .01472 m
.00625 .01472 L
s
P
[(0)] -0.0125 .01472 1 0 Mshowa
p
.002 w
0 .16226 m
.00625 .16226 L
s
P
[(0.1)] -0.0125 .16226 1 0 Mshowa
p
.002 w
0 .3098 m
.00625 .3098 L
s
P
[(0.2)] -0.0125 .3098 1 0 Mshowa
p
.002 w
0 .45734 m
.00625 .45734 L
s
P
[(0.3)] -0.0125 .45734 1 0 Mshowa
p
.002 w
0 .60488 m
.00625 .60488 L
s
P
[(0.4)] -0.0125 .60488 1 0 Mshowa
p
.001 w
0 .04422 m
.00375 .04422 L
s
P
p
.001 w
0 .07373 m
.00375 .07373 L
s
P
p
.001 w
0 .10324 m
.00375 .10324 L
s
P
p
.001 w
0 .13275 m
.00375 .13275 L
s
P
p
.001 w
0 .19176 m
.00375 .19176 L
s
P
p
.001 w
0 .22127 m
.00375 .22127 L
s
P
p
.001 w
0 .25078 m
.00375 .25078 L
s
P
p
.001 w
0 .28029 m
.00375 .28029 L
s
P
p
.001 w
0 .33931 m
.00375 .33931 L
s
P
p
.001 w
0 .36881 m
.00375 .36881 L
s
P
p
.001 w
0 .39832 m
.00375 .39832 L
s
P
p
.001 w
0 .42783 m
.00375 .42783 L
s
P
p
.001 w
0 .48685 m
.00375 .48685 L
s
P
p
.001 w
0 .51635 m
.00375 .51635 L
s
P
p
.001 w
0 .54586 m
.00375 .54586 L
s
P
p
.001 w
0 .57537 m
.00375 .57537 L
s
P
p
.002 w
0 0 m
0 .61803 L
s
P
P
p
p
.002 w
.02381 .61178 m
.02381 .61803 L
s
P
p
.002 w
.2619 .61178 m
.2619 .61803 L
s
P
p
.002 w
.5 .61178 m
.5 .61803 L
s
P
p
.002 w
.7381 .61178 m
.7381 .61803 L
s
P
p
.002 w
.97619 .61178 m
.97619 .61803 L
s
P
p
.001 w
.07143 .61428 m
.07143 .61803 L
s
P
p
.001 w
.11905 .61428 m
.11905 .61803 L
s
P
p
.001 w
.16667 .61428 m
.16667 .61803 L
s
P
p
.001 w
.21429 .61428 m
.21429 .61803 L
s
P
p
.001 w
.30952 .61428 m
.30952 .61803 L
s
P
p
.001 w
.35714 .61428 m
.35714 .61803 L
s
P
p
.001 w
.40476 .61428 m
.40476 .61803 L
s
P
p
.001 w
.45238 .61428 m
.45238 .61803 L
s
P
p
.001 w
.54762 .61428 m
.54762 .61803 L
s
P
p
.001 w
.59524 .61428 m
.59524 .61803 L
s
P
p
.001 w
.64286 .61428 m
.64286 .61803 L
s
P
p
.001 w
.69048 .61428 m
.69048 .61803 L
s
P
p
.001 w
.78571 .61428 m
.78571 .61803 L
s
P
p
.001 w
.83333 .61428 m
.83333 .61803 L
s
P
p
.001 w
.88095 .61428 m
.88095 .61803 L
s
P
p
.001 w
.92857 .61428 m
.92857 .61803 L
s
P
p
.002 w
0 .61803 m
1 .61803 L
s
P
p
.002 w
.99375 .01472 m
1 .01472 L
s
P
p
.002 w
.99375 .16226 m
1 .16226 L
s
P
p
.002 w
.99375 .3098 m
1 .3098 L
s
P
p
.002 w
.99375 .45734 m
1 .45734 L
s
P
p
.002 w
.99375 .60488 m
1 .60488 L
s
P
p
.001 w
.99625 .04422 m
1 .04422 L
s
P
p
.001 w
.99625 .07373 m
1 .07373 L
s
P
p
.001 w
.99625 .10324 m
1 .10324 L
s
P
p
.001 w
.99625 .13275 m
1 .13275 L
s
P
p
.001 w
.99625 .19176 m
1 .19176 L
s
P
p
.001 w
.99625 .22127 m
1 .22127 L
s
P
p
.001 w
.99625 .25078 m
1 .25078 L
s
P
p
.001 w
.99625 .28029 m
1 .28029 L
s
P
p
.001 w
.99625 .33931 m
1 .33931 L
s
P
p
.001 w
.99625 .36881 m
1 .36881 L
s
P
p
.001 w
.99625 .39832 m
1 .39832 L
s
P
p
.001 w
.99625 .42783 m
1 .42783 L
s
P
p
.001 w
.99625 .48685 m
1 .48685 L
s
P
p
.001 w
.99625 .51635 m
1 .51635 L
s
P
p
.001 w
.99625 .54586 m
1 .54586 L
s
P
p
.001 w
.99625 .57537 m
1 .57537 L
s
P
p
.002 w
1 0 m
1 .61803 L
s
P
P
p
P
p
p
.004 w
.04746 .01486 m
.04746 .01472 L
s
.07408 .0152 m
.07408 .01472 L
s
.1007 .01606 m
.1007 .01472 L
s
.12732 .01803 m
.12732 .01472 L
s
.15394 .02207 m
.15394 .01472 L
s
.18056 .02965 m
.18056 .01472 L
s
.20718 .04273 m
.20718 .01472 L
s
.2338 .06363 m
.2338 .01472 L
s
.26042 .09469 m
.26042 .01472 L
s
.28704 .13769 m
.28704 .01472 L
s
.31366 .19324 m
.31366 .01472 L
s
.34028 .26009 m
.34028 .01472 L
s
.3669 .33477 m
.3669 .01472 L
s
.39352 .4116 m
.39352 .01472 L
s
.42014 .48325 m
.42014 .01472 L
s
.44676 .54185 m
.44676 .01472 L
s
.47338 .58031 m
.47338 .01472 L
s
.5 .59372 m
.5 .01472 L
s
.52662 .58031 m
.52662 .01472 L
s
.55324 .54185 m
.55324 .01472 L
s
.57986 .48325 m
.57986 .01472 L
s
.60648 .4116 m
.60648 .01472 L
s
.6331 .33477 m
.6331 .01472 L
s
.65972 .26009 m
.65972 .01472 L
s
.68634 .19324 m
.68634 .01472 L
s
.71296 .13769 m
.71296 .01472 L
s
.73958 .09469 m
.73958 .01472 L
s
.7662 .06363 m
.7662 .01472 L
s
.79282 .04273 m
.79282 .01472 L
s
.81944 .02965 m
.81944 .01472 L
s
.84606 .02207 m
.84606 .01472 L
s
.87268 .01803 m
.87268 .01472 L
s
.8993 .01606 m
.8993 .01472 L
s
.92592 .0152 m
.92592 .01472 L
s
.95254 .01486 m
.95254 .01472 L
s
P
p
p
.004 w
.02381 .01491 m
.03373 .01499 L
.04365 .01509 L
.05357 .01524 L
.06349 .01542 L
.07341 .01567 L
.08333 .016 L
.09325 .01643 L
.10317 .01699 L
.1131 .01771 L
.12302 .01863 L
.13294 .01979 L
.14286 .02125 L
.1627 .02535 L
.17262 .02813 L
.18254 .03153 L
.20238 .04058 L
.22222 .0534 L
.24206 .07101 L
.2619 .09437 L
.28175 .12435 L
.30159 .16148 L
.34127 .2567 L
.38095 .37172 L
.42063 .48603 L
.44048 .53416 L
.4504 .55438 L
.46032 .57151 L
.47024 .58521 L
.4752 .59068 L
.48016 .5952 L
.48512 .59874 L
.4876 .60013 L
.49008 .60128 L
.49256 .60217 L
.4938 .60252 L
.49504 .60281 L
.49628 .60303 L
.49752 .60319 L
.49876 .60329 L
.5 .60332 L
.50124 .60329 L
.50248 .60319 L
.50372 .60303 L
.50496 .60281 L
.5062 .60252 L
.50744 .60217 L
.50992 .60128 L
.5124 .60013 L
.51488 .59874 L
Mistroke
.51984 .5952 L
.52976 .58521 L
.53968 .57151 L
.55952 .53416 L
.57937 .48603 L
.61905 .37172 L
.65873 .2567 L
.69841 .16148 L
.71825 .12435 L
.7381 .09437 L
.75794 .07101 L
.77778 .0534 L
.79762 .04058 L
.80754 .03564 L
.81746 .03153 L
.82738 .02813 L
.8373 .02535 L
.84722 .02308 L
.85714 .02125 L
.86706 .01979 L
.87698 .01863 L
.8869 .01771 L
.89683 .01699 L
.90675 .01643 L
.91667 .016 L
.92659 .01567 L
.93651 .01542 L
.94643 .01524 L
.95635 .01509 L
.96627 .01499 L
.97619 .01491 L
Mfstroke
P
P
P
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd

:[font = input; preserveAspect; startGroup]
CLTIndTrialsPlot[10, {{0, .3},{4,.4},{16, .26},
                      {12, .04}}];
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; endGroup]
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.119048 0.0147151 1.46719 [
[(-4)] .02381 0 0 2 Msboxa
[(-2)] .2619 0 0 2 Msboxa
[(0)] .5 0 0 2 Msboxa
[(2)] .7381 0 0 2 Msboxa
[(4)] .97619 0 0 2 Msboxa
[(0)] -0.0125 .01472 1 0 Msboxa
[(0.1)] -0.0125 .16143 1 0 Msboxa
[(0.2)] -0.0125 .30815 1 0 Msboxa
[(0.3)] -0.0125 .45487 1 0 Msboxa
[(0.4)] -0.0125 .60159 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
0 g
p
p
.002 w
.02381 0 m
.02381 .00625 L
s
P
[(-4)] .02381 0 0 2 Mshowa
p
.002 w
.2619 0 m
.2619 .00625 L
s
P
[(-2)] .2619 0 0 2 Mshowa
p
.002 w
.5 0 m
.5 .00625 L
s
P
[(0)] .5 0 0 2 Mshowa
p
.002 w
.7381 0 m
.7381 .00625 L
s
P
[(2)] .7381 0 0 2 Mshowa
p
.002 w
.97619 0 m
.97619 .00625 L
s
P
[(4)] .97619 0 0 2 Mshowa
p
.001 w
.07143 0 m
.07143 .00375 L
s
P
p
.001 w
.11905 0 m
.11905 .00375 L
s
P
p
.001 w
.16667 0 m
.16667 .00375 L
s
P
p
.001 w
.21429 0 m
.21429 .00375 L
s
P
p
.001 w
.30952 0 m
.30952 .00375 L
s
P
p
.001 w
.35714 0 m
.35714 .00375 L
s
P
p
.001 w
.40476 0 m
.40476 .00375 L
s
P
p
.001 w
.45238 0 m
.45238 .00375 L
s
P
p
.001 w
.54762 0 m
.54762 .00375 L
s
P
p
.001 w
.59524 0 m
.59524 .00375 L
s
P
p
.001 w
.64286 0 m
.64286 .00375 L
s
P
p
.001 w
.69048 0 m
.69048 .00375 L
s
P
p
.001 w
.78571 0 m
.78571 .00375 L
s
P
p
.001 w
.83333 0 m
.83333 .00375 L
s
P
p
.001 w
.88095 0 m
.88095 .00375 L
s
P
p
.001 w
.92857 0 m
.92857 .00375 L
s
P
p
.002 w
0 0 m
1 0 L
s
P
p
.002 w
0 .01472 m
.00625 .01472 L
s
P
[(0)] -0.0125 .01472 1 0 Mshowa
p
.002 w
0 .16143 m
.00625 .16143 L
s
P
[(0.1)] -0.0125 .16143 1 0 Mshowa
p
.002 w
0 .30815 m
.00625 .30815 L
s
P
[(0.2)] -0.0125 .30815 1 0 Mshowa
p
.002 w
0 .45487 m
.00625 .45487 L
s
P
[(0.3)] -0.0125 .45487 1 0 Mshowa
p
.002 w
0 .60159 m
.00625 .60159 L
s
P
[(0.4)] -0.0125 .60159 1 0 Mshowa
p
.001 w
0 .04406 m
.00375 .04406 L
s
P
p
.001 w
0 .0734 m
.00375 .0734 L
s
P
p
.001 w
0 .10275 m
.00375 .10275 L
s
P
p
.001 w
0 .13209 m
.00375 .13209 L
s
P
p
.001 w
0 .19078 m
.00375 .19078 L
s
P
p
.001 w
0 .22012 m
.00375 .22012 L
s
P
p
.001 w
0 .24946 m
.00375 .24946 L
s
P
p
.001 w
0 .27881 m
.00375 .27881 L
s
P
p
.001 w
0 .3375 m
.00375 .3375 L
s
P
p
.001 w
0 .36684 m
.00375 .36684 L
s
P
p
.001 w
0 .39618 m
.00375 .39618 L
s
P
p
.001 w
0 .42553 m
.00375 .42553 L
s
P
p
.001 w
0 .48421 m
.00375 .48421 L
s
P
p
.001 w
0 .51356 m
.00375 .51356 L
s
P
p
.001 w
0 .5429 m
.00375 .5429 L
s
P
p
.001 w
0 .57225 m
.00375 .57225 L
s
P
p
.002 w
0 0 m
0 .61803 L
s
P
P
p
p
.002 w
.02381 .61178 m
.02381 .61803 L
s
P
p
.002 w
.2619 .61178 m
.2619 .61803 L
s
P
p
.002 w
.5 .61178 m
.5 .61803 L
s
P
p
.002 w
.7381 .61178 m
.7381 .61803 L
s
P
p
.002 w
.97619 .61178 m
.97619 .61803 L
s
P
p
.001 w
.07143 .61428 m
.07143 .61803 L
s
P
p
.001 w
.11905 .61428 m
.11905 .61803 L
s
P
p
.001 w
.16667 .61428 m
.16667 .61803 L
s
P
p
.001 w
.21429 .61428 m
.21429 .61803 L
s
P
p
.001 w
.30952 .61428 m
.30952 .61803 L
s
P
p
.001 w
.35714 .61428 m
.35714 .61803 L
s
P
p
.001 w
.40476 .61428 m
.40476 .61803 L
s
P
p
.001 w
.45238 .61428 m
.45238 .61803 L
s
P
p
.001 w
.54762 .61428 m
.54762 .61803 L
s
P
p
.001 w
.59524 .61428 m
.59524 .61803 L
s
P
p
.001 w
.64286 .61428 m
.64286 .61803 L
s
P
p
.001 w
.69048 .61428 m
.69048 .61803 L
s
P
p
.001 w
.78571 .61428 m
.78571 .61803 L
s
P
p
.001 w
.83333 .61428 m
.83333 .61803 L
s
P
p
.001 w
.88095 .61428 m
.88095 .61803 L
s
P
p
.001 w
.92857 .61428 m
.92857 .61803 L
s
P
p
.002 w
0 .61803 m
1 .61803 L
s
P
p
.002 w
.99375 .01472 m
1 .01472 L
s
P
p
.002 w
.99375 .16143 m
1 .16143 L
s
P
p
.002 w
.99375 .30815 m
1 .30815 L
s
P
p
.002 w
.99375 .45487 m
1 .45487 L
s
P
p
.002 w
.99375 .60159 m
1 .60159 L
s
P
p
.001 w
.99625 .04406 m
1 .04406 L
s
P
p
.001 w
.99625 .0734 m
1 .0734 L
s
P
p
.001 w
.99625 .10275 m
1 .10275 L
s
P
p
.001 w
.99625 .13209 m
1 .13209 L
s
P
p
.001 w
.99625 .19078 m
1 .19078 L
s
P
p
.001 w
.99625 .22012 m
1 .22012 L
s
P
p
.001 w
.99625 .24946 m
1 .24946 L
s
P
p
.001 w
.99625 .27881 m
1 .27881 L
s
P
p
.001 w
.99625 .3375 m
1 .3375 L
s
P
p
.001 w
.99625 .36684 m
1 .36684 L
s
P
p
.001 w
.99625 .39618 m
1 .39618 L
s
P
p
.001 w
.99625 .42553 m
1 .42553 L
s
P
p
.001 w
.99625 .48421 m
1 .48421 L
s
P
p
.001 w
.99625 .51356 m
1 .51356 L
s
P
p
.001 w
.99625 .5429 m
1 .5429 L
s
P
p
.001 w
.99625 .57225 m
1 .57225 L
s
P
p
.002 w
1 0 m
1 .61803 L
s
P
P
p
P
p
p
.004 w
.12756 .01476 m
.12756 .01472 L
s
.15143 .01529 m
.15143 .01472 L
s
.17531 .01817 m
.17531 .01472 L
s
.19918 .02706 m
.19918 .01472 L
s
.22306 .04445 m
.22306 .01472 L
s
.24693 .06877 m
.24693 .01472 L
s
.2708 .10115 m
.2708 .01472 L
s
.29468 .15185 m
.29468 .01472 L
s
.31855 .22178 m
.31855 .01472 L
s
.34243 .28899 m
.34243 .01472 L
s
.3663 .34804 m
.3663 .01472 L
s
.39018 .42649 m
.39018 .01472 L
s
.41405 .51152 m
.41405 .01472 L
s
.43793 .54801 m
.43793 .01472 L
s
.4618 .55589 m
.4618 .01472 L
s
.48568 .59174 m
.48568 .01472 L
s
.50955 .60332 m
.50955 .01472 L
s
.53342 .5397 m
.53342 .01472 L
s
.5573 .48409 m
.5573 .01472 L
s
.58117 .46705 m
.58117 .01472 L
s
.60505 .40096 m
.60505 .01472 L
s
.62892 .30356 m
.62892 .01472 L
s
.6528 .2591 m
.6528 .01472 L
s
.67667 .22503 m
.67667 .01472 L
s
.70055 .15622 m
.70055 .01472 L
s
.72442 .10974 m
.72442 .01472 L
s
.7483 .0958 m
.7483 .01472 L
s
.77217 .0696 m
.77217 .01472 L
s
.79604 .04262 m
.79604 .01472 L
s
.81992 .0357 m
.81992 .01472 L
s
.84379 .03052 m
.84379 .01472 L
s
.86767 .02131 m
.86767 .01472 L
s
.89154 .0181 m
.89154 .01472 L
s
.91542 .01777 m
.91542 .01472 L
s
.93929 .01597 m
.93929 .01472 L
s
.96317 .01502 m
.96317 .01472 L
s
P
p
p
.004 w
.02381 .01491 m
.03373 .01499 L
.04365 .01509 L
.05357 .01523 L
.06349 .01542 L
.07341 .01567 L
.08333 .016 L
.09325 .01642 L
.10317 .01698 L
.1131 .01769 L
.12302 .0186 L
.13294 .01976 L
.14286 .02122 L
.1627 .02529 L
.17262 .02806 L
.18254 .03144 L
.20238 .04043 L
.22222 .05319 L
.24206 .07069 L
.2619 .09393 L
.28175 .12374 L
.30159 .16067 L
.34127 .25535 L
.38095 .36973 L
.42063 .4834 L
.44048 .53126 L
.4504 .55137 L
.46032 .56841 L
.47024 .58203 L
.4752 .58747 L
.48016 .59196 L
.48512 .59548 L
.4876 .59687 L
.49008 .59801 L
.49256 .5989 L
.4938 .59924 L
.49504 .59953 L
.49628 .59975 L
.49752 .59991 L
.49876 .60001 L
.5 .60004 L
.50124 .60001 L
.50248 .59991 L
.50372 .59975 L
.50496 .59953 L
.5062 .59924 L
.50744 .5989 L
.50992 .59801 L
.5124 .59687 L
.51488 .59548 L
Mistroke
.51984 .59196 L
.52976 .58203 L
.53968 .56841 L
.55952 .53126 L
.57937 .4834 L
.61905 .36973 L
.65873 .25535 L
.69841 .16067 L
.71825 .12374 L
.7381 .09393 L
.75794 .07069 L
.77778 .05319 L
.79762 .04043 L
.80754 .03552 L
.81746 .03144 L
.82738 .02806 L
.8373 .02529 L
.84722 .02304 L
.85714 .02122 L
.86706 .01976 L
.87698 .0186 L
.8869 .01769 L
.89683 .01698 L
.90675 .01642 L
.91667 .016 L
.92659 .01567 L
.93651 .01542 L
.94643 .01523 L
.95635 .01509 L
.96627 .01499 L
.97619 .01491 L
Mfstroke
P
P
P
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd

:[font = input; preserveAspect; startGroup]
CLTIndTrialsPlot[10, {{0, .3},{4,.4},{6, .3}}];
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; endGroup]
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.119048 0.0147151 1.47541 [
[(-4)] .02381 0 0 2 Msboxa
[(-2)] .2619 0 0 2 Msboxa
[(0)] .5 0 0 2 Msboxa
[(2)] .7381 0 0 2 Msboxa
[(4)] .97619 0 0 2 Msboxa
[(0)] -0.0125 .01472 1 0 Msboxa
[(0.1)] -0.0125 .16226 1 0 Msboxa
[(0.2)] -0.0125 .3098 1 0 Msboxa
[(0.3)] -0.0125 .45734 1 0 Msboxa
[(0.4)] -0.0125 .60488 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
0 g
p
p
.002 w
.02381 0 m
.02381 .00625 L
s
P
[(-4)] .02381 0 0 2 Mshowa
p
.002 w
.2619 0 m
.2619 .00625 L
s
P
[(-2)] .2619 0 0 2 Mshowa
p
.002 w
.5 0 m
.5 .00625 L
s
P
[(0)] .5 0 0 2 Mshowa
p
.002 w
.7381 0 m
.7381 .00625 L
s
P
[(2)] .7381 0 0 2 Mshowa
p
.002 w
.97619 0 m
.97619 .00625 L
s
P
[(4)] .97619 0 0 2 Mshowa
p
.001 w
.07143 0 m
.07143 .00375 L
s
P
p
.001 w
.11905 0 m
.11905 .00375 L
s
P
p
.001 w
.16667 0 m
.16667 .00375 L
s
P
p
.001 w
.21429 0 m
.21429 .00375 L
s
P
p
.001 w
.30952 0 m
.30952 .00375 L
s
P
p
.001 w
.35714 0 m
.35714 .00375 L
s
P
p
.001 w
.40476 0 m
.40476 .00375 L
s
P
p
.001 w
.45238 0 m
.45238 .00375 L
s
P
p
.001 w
.54762 0 m
.54762 .00375 L
s
P
p
.001 w
.59524 0 m
.59524 .00375 L
s
P
p
.001 w
.64286 0 m
.64286 .00375 L
s
P
p
.001 w
.69048 0 m
.69048 .00375 L
s
P
p
.001 w
.78571 0 m
.78571 .00375 L
s
P
p
.001 w
.83333 0 m
.83333 .00375 L
s
P
p
.001 w
.88095 0 m
.88095 .00375 L
s
P
p
.001 w
.92857 0 m
.92857 .00375 L
s
P
p
.002 w
0 0 m
1 0 L
s
P
p
.002 w
0 .01472 m
.00625 .01472 L
s
P
[(0)] -0.0125 .01472 1 0 Mshowa
p
.002 w
0 .16226 m
.00625 .16226 L
s
P
[(0.1)] -0.0125 .16226 1 0 Mshowa
p
.002 w
0 .3098 m
.00625 .3098 L
s
P
[(0.2)] -0.0125 .3098 1 0 Mshowa
p
.002 w
0 .45734 m
.00625 .45734 L
s
P
[(0.3)] -0.0125 .45734 1 0 Mshowa
p
.002 w
0 .60488 m
.00625 .60488 L
s
P
[(0.4)] -0.0125 .60488 1 0 Mshowa
p
.001 w
0 .04422 m
.00375 .04422 L
s
P
p
.001 w
0 .07373 m
.00375 .07373 L
s
P
p
.001 w
0 .10324 m
.00375 .10324 L
s
P
p
.001 w
0 .13275 m
.00375 .13275 L
s
P
p
.001 w
0 .19176 m
.00375 .19176 L
s
P
p
.001 w
0 .22127 m
.00375 .22127 L
s
P
p
.001 w
0 .25078 m
.00375 .25078 L
s
P
p
.001 w
0 .28029 m
.00375 .28029 L
s
P
p
.001 w
0 .33931 m
.00375 .33931 L
s
P
p
.001 w
0 .36881 m
.00375 .36881 L
s
P
p
.001 w
0 .39832 m
.00375 .39832 L
s
P
p
.001 w
0 .42783 m
.00375 .42783 L
s
P
p
.001 w
0 .48685 m
.00375 .48685 L
s
P
p
.001 w
0 .51635 m
.00375 .51635 L
s
P
p
.001 w
0 .54586 m
.00375 .54586 L
s
P
p
.001 w
0 .57537 m
.00375 .57537 L
s
P
p
.002 w
0 0 m
0 .61803 L
s
P
P
p
p
.002 w
.02381 .61178 m
.02381 .61803 L
s
P
p
.002 w
.2619 .61178 m
.2619 .61803 L
s
P
p
.002 w
.5 .61178 m
.5 .61803 L
s
P
p
.002 w
.7381 .61178 m
.7381 .61803 L
s
P
p
.002 w
.97619 .61178 m
.97619 .61803 L
s
P
p
.001 w
.07143 .61428 m
.07143 .61803 L
s
P
p
.001 w
.11905 .61428 m
.11905 .61803 L
s
P
p
.001 w
.16667 .61428 m
.16667 .61803 L
s
P
p
.001 w
.21429 .61428 m
.21429 .61803 L
s
P
p
.001 w
.30952 .61428 m
.30952 .61803 L
s
P
p
.001 w
.35714 .61428 m
.35714 .61803 L
s
P
p
.001 w
.40476 .61428 m
.40476 .61803 L
s
P
p
.001 w
.45238 .61428 m
.45238 .61803 L
s
P
p
.001 w
.54762 .61428 m
.54762 .61803 L
s
P
p
.001 w
.59524 .61428 m
.59524 .61803 L
s
P
p
.001 w
.64286 .61428 m
.64286 .61803 L
s
P
p
.001 w
.69048 .61428 m
.69048 .61803 L
s
P
p
.001 w
.78571 .61428 m
.78571 .61803 L
s
P
p
.001 w
.83333 .61428 m
.83333 .61803 L
s
P
p
.001 w
.88095 .61428 m
.88095 .61803 L
s
P
p
.001 w
.92857 .61428 m
.92857 .61803 L
s
P
p
.002 w
0 .61803 m
1 .61803 L
s
P
p
.002 w
.99375 .01472 m
1 .01472 L
s
P
p
.002 w
.99375 .16226 m
1 .16226 L
s
P
p
.002 w
.99375 .3098 m
1 .3098 L
s
P
p
.002 w
.99375 .45734 m
1 .45734 L
s
P
p
.002 w
.99375 .60488 m
1 .60488 L
s
P
p
.001 w
.99625 .04422 m
1 .04422 L
s
P
p
.001 w
.99625 .07373 m
1 .07373 L
s
P
p
.001 w
.99625 .10324 m
1 .10324 L
s
P
p
.001 w
.99625 .13275 m
1 .13275 L
s
P
p
.001 w
.99625 .19176 m
1 .19176 L
s
P
p
.001 w
.99625 .22127 m
1 .22127 L
s
P
p
.001 w
.99625 .25078 m
1 .25078 L
s
P
p
.001 w
.99625 .28029 m
1 .28029 L
s
P
p
.001 w
.99625 .33931 m
1 .33931 L
s
P
p
.001 w
.99625 .36881 m
1 .36881 L
s
P
p
.001 w
.99625 .39832 m
1 .39832 L
s
P
p
.001 w
.99625 .42783 m
1 .42783 L
s
P
p
.001 w
.99625 .48685 m
1 .48685 L
s
P
p
.001 w
.99625 .51635 m
1 .51635 L
s
P
p
.001 w
.99625 .54586 m
1 .54586 L
s
P
p
.001 w
.99625 .57537 m
1 .57537 L
s
P
p
.002 w
1 0 m
1 .61803 L
s
P
P
p
P
p
p
.004 w
.02444 .01515 m
.02444 .01472 L
s
.05615 .01504 m
.05615 .01472 L
s
.08785 .01733 m
.08785 .01472 L
s
.11955 .01864 m
.11955 .01472 L
s
.15126 .02549 m
.15126 .01472 L
s
.18296 .03565 m
.18296 .01472 L
s
.21467 .05213 m
.21467 .01472 L
s
.24637 .08378 m
.24637 .01472 L
s
.27807 .12273 m
.27807 .01472 L
s
.30978 .18163 m
.30978 .01472 L
s
.34148 .2556 m
.34148 .01472 L
s
.37318 .33497 m
.37318 .01472 L
s
.40489 .42477 m
.40489 .01472 L
s
.43659 .50305 m
.43659 .01472 L
s
.4683 .56002 m
.4683 .01472 L
s
.5 .59215 m
.5 .01472 L
s
.5317 .58323 m
.5317 .01472 L
s
.56341 .53808 m
.56341 .01472 L
s
.59511 .46585 m
.59511 .01472 L
s
.62682 .37281 m
.62682 .01472 L
s
.65852 .2764 m
.65852 .01472 L
s
.69022 .1901 m
.69022 .01472 L
s
.72193 .11992 m
.72193 .01472 L
s
.75363 .07039 m
.75363 .01472 L
s
.78533 .04035 m
.78533 .01472 L
s
.81704 .02435 m
.81704 .01472 L
s
.84874 .01733 m
.84874 .01472 L
s
.88045 .01515 m
.88045 .01472 L
s
.91215 .01475 m
.91215 .01472 L
s
P
p
p
.004 w
.02381 .01491 m
.03373 .01499 L
.04365 .01509 L
.05357 .01524 L
.06349 .01542 L
.07341 .01567 L
.08333 .016 L
.09325 .01643 L
.10317 .01699 L
.1131 .01771 L
.12302 .01863 L
.13294 .01979 L
.14286 .02125 L
.1627 .02535 L
.17262 .02813 L
.18254 .03153 L
.20238 .04058 L
.22222 .0534 L
.24206 .07101 L
.2619 .09437 L
.28175 .12435 L
.30159 .16148 L
.34127 .2567 L
.38095 .37172 L
.42063 .48603 L
.44048 .53416 L
.4504 .55438 L
.46032 .57151 L
.47024 .58521 L
.4752 .59068 L
.48016 .5952 L
.48512 .59874 L
.4876 .60013 L
.49008 .60128 L
.49256 .60217 L
.4938 .60252 L
.49504 .60281 L
.49628 .60303 L
.49752 .60319 L
.49876 .60329 L
.5 .60332 L
.50124 .60329 L
.50248 .60319 L
.50372 .60303 L
.50496 .60281 L
.5062 .60252 L
.50744 .60217 L
.50992 .60128 L
.5124 .60013 L
.51488 .59874 L
Mistroke
.51984 .5952 L
.52976 .58521 L
.53968 .57151 L
.55952 .53416 L
.57937 .48603 L
.61905 .37172 L
.65873 .2567 L
.69841 .16148 L
.71825 .12435 L
.7381 .09437 L
.75794 .07101 L
.77778 .0534 L
.79762 .04058 L
.80754 .03564 L
.81746 .03153 L
.82738 .02813 L
.8373 .02535 L
.84722 .02308 L
.85714 .02125 L
.86706 .01979 L
.87698 .01863 L
.8869 .01771 L
.89683 .01699 L
.90675 .01643 L
.91667 .016 L
.92659 .01567 L
.93651 .01542 L
.94643 .01524 L
.95635 .01509 L
.96627 .01499 L
.97619 .01491 L
Mfstroke
P
P
P
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd

^*)
